<?php
if(!session_id()){
    session_start();
}

// Include the autoloader provided in the SDK
require_once 'autoload.php';

// Include required libraries
use Facebook\Facebook;
use Facebook\Exceptions\FacebookResponseException;
use Facebook\Exceptions\FacebookSDKException;


$env = parse_ini_file(__DIR__ . '/../../.env');
/*
 * Configuration and setup Facebook SDK
 */
$appId         = '193833218209241'; //Facebook App ID
$appSecret     = '2a286ea64eb53fd96ce5e24ca58b31c3'; //Facebook App Secret
//$redirectURL   = 'http://localhost/intercambiosya/registrate.php'; //Callback URL
//$redirectURL   = 'https://www.tuworkenusa.com/registro.php'; //Callback URL
$redirectURL   = $env['SITE_ROOT_URL'].'/lib/sys/index.php'; //Callback URL


$fbPermissions = array('email');  //Optional permissions

$fb = new Facebook(array(
    'app_id' => $appId,
    'app_secret' => $appSecret,
    'default_graph_version' => 'v2.8',
));

// Get redirect login helper
$helper = $fb->getRedirectLoginHelper();

$_SESSION['FBRLH_state']=$_GET['state'];



// Try to get access token
try {
    if(isset($_SESSION['facebook_access_token'])){
        $accessToken = $_SESSION['facebook_access_token'];
    }else{
          $env = parse_ini_file(__DIR__ . '/../../.env');
          $accessToken = $helper->getAccessToken($env['SITE_ROOT_URL']."admin/lib/sys/index.php");
    }
} catch(FacebookResponseException $e) {
     echo 'Graph returned an error: ' . $e->getMessage();
      exit;
} catch(FacebookSDKException $e) {
    echo 'Facebook SDK returned an error: ' . $e->getMessage();
      exit;
}

?>