<?php

function sololetrasynumeros($cadena=null){  
  $valorfinal = "";

  for( $index = 0; $index < strlen($cadena); $index++ )
  {
      if ( (preg_match('/[A-Za-z]+/', $cadena[$index])) || ( is_numeric($cadena[$index]) ) ) {
        $valorfinal .= $cadena[$index];
      }    
  }

  return $valorfinal;


}

function clean($string=null) {
   $string = str_replace(' ', '-', $string); // Replaces all spaces with hyphens.

   return preg_replace('/[^A-Za-z0-9\-]/', '', $string); // Removes special chars.
}

function verificartexto($textoverificar=null){

  $severificatexto = 0;

  $user_input = $textoverificar;
  $owned_urls_array = array('whatsapp', 'email', 'telefono', 'whats app');

  if ( preg_match('('.implode('|',$owned_urls_array).')', $user_input)){
      $severificatexto = 1;
  }else{
      $severificatexto = 0;
  }

  return $severificatexto;
}

function urls_amigables($url=null) {
 
      // Tranformamos todo a minusculas
 
      $url = strtolower($url);
 
      //Rememplazamos caracteres especiales latinos
 
      $find = array('á', 'é', 'í', 'ó', 'ú', 'ñ');
 
      $repl = array('a', 'e', 'i', 'o', 'u', 'n');
 
      $url = str_replace ($find, $repl, $url);
 
      // Añadimos los guiones
 
      $find = array(' ', '&', '\r\n', '\n', '+');
      $url = str_replace ($find, '-', $url);
 
      // Eliminamos y Reemplazamos otros carácteres especiales
 
      $find = array('/[^a-z0-9\-<>]/', '/[\-]+/', '/<[^>]*>/');
 
      $repl = array('', '-', '');
 
      $url = preg_replace ($find, $repl, $url);
 
      return $url;
 
}

//include_once '../mysqlclass.php';

function generateRandomNumber() {
  $length = 5;
  $characters = '0123456789';
  $randomString = '';
  for ($i = 0; $i < $length; $i++) {
    $randomString .= $characters[rand(0, strlen($characters) - 1)];
  }
  return $randomString;
}

function generateRandomString() {
  $length = 2;
  $characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
  $randomString = '';
  for ($i = 0; $i < $length; $i++) {
    $randomString .= $characters[rand(0, strlen($characters) - 1)];
  }
  return $randomString;
}

function generarId() {
  $codigo = generateRandomString()."-".generateRandomNumber();
  return $codigo;
}

function formatoFechaHoraBd($sinhora=null) {
	//ini_set('date.timezone','UTC');
  date_default_timezone_set('America/Argentina/Buenos_Aires');

	$tiempoMod = time();
	if($sinhora=="1"){
		return date("Y-m-d",$tiempoMod);
	}else{
		return date("Y-m-d H:i:s",$tiempoMod);
	}
}

function crearmenu($tipo=null){
	
  session_start();
  $perfil = $_SESSION['perfil'];

  if ($tipo=="1"){$panel = " active ";}
  if ($tipo=="2"){$modificarusuario = " active ";}
  if ($tipo=="3"){$ley = " active ";}
  if ($tipo=="4"){$usuario = " active ";}
  if ($tipo=="5"){$pagos = " active ";}
  if ($tipo=="6"){$formadepago = " active ";}
  if ($tipo=="7"){$comentariosadmin = " active ";}
  if ($tipo=="8"){$seccion = " active ";}
  if ($tipo=="9"){$subseccion = " active ";}
  if ($tipo=="10"){$tema = " active ";}
  if ($tipo=="11"){$segmento = " active ";}
  if ($tipo=="12"){$subsegmento = " active ";}
  if ($tipo=="13"){$articulo = " active ";}
  if ($tipo=="14"){$seccionanio = " active ";}
  if ($tipo=="15"){$plan = " active ";}
  if ($tipo=="16"){$historial = " active ";}

  if ($tipo=="17"){$blog = " active ";}
  if ($tipo=="18"){$testimonio = " active ";}
  if ($tipo=="19"){$preguntafrecuente = " active ";}
  if ($tipo=="20"){$terminosycondiciones = " active ";}
  if ($tipo=="21"){$contacto = " active ";}
  if ($tipo=="22"){$boletin = " active ";}
  if ($tipo=="23"){$referenciafavoritos = " active ";}
  if ($tipo=="24"){$panelactive = " active ";}
  if ($tipo=="25"){$panelactive = " active ";}
  if ($tipo=="26"){$panelactive = " active ";}
  if ($tipo=="27"){$palabraclave = " active ";}
  
  $menu = "
    <li class = '$panel'>
        <a href='panel.php'><i class='fa fa-dashboard'></i> <span>Panel</span></a>
    </li> 
    <li class = '$modificarusuario'>
        <a href='modificarusuario.php'><i class='fa fa-user'></i> <span>Mi Cuenta</span></a>
    </li>
    
    <li class = '$ley'>
        <a href='referencia.php'><i class='fa fa-book'></i> <span>Referencias</span></a>
    </li>
    <li class = '$palabraclave'>
        <a href='palabraclave.php'><i class='fa fa-pencil'></i> <span>Palabras clave</span></a>
    </li>
    <li class = '$usuario'>
        <a href='usuario.php'><i class='fa fa-users'></i> <span>Usuarios</span></a>
    </li>

    <li class='treeview $pagos $formadepago'>
      <a href='#'>
        <i class='fa fa-money'></i>
        <span>Pagos</span>
        <span class='pull-right-container'>
          <i class='fa fa-angle-left pull-right'></i>
        </span>
      </a>
      <ul class='treeview-menu'>
        <li class = '$pagos'>
            <a href='pagos.php'><i class='fa fa-money'></i> <span>Pagos Recibidos</span></a>
        </li>
        <li class = '$formadepago'>
            <a href='formadepago.php'><i class='fa fa-list-ul'></i> <span>Formas de Pago</span></a>
        </li>

      </ul>
    </li> 

    <li class='treeview $comentariosadmin'>
      <a href='#'>
        <i class='fa fa-comments'></i>
        <span>Comentarios</span>
        <span class='pull-right-container'>
          <i class='fa fa-angle-left pull-right'></i>
        </span>
      </a>
      <ul class='treeview-menu'>
        <li  class = '$comentariosadmin'><a href='comentariosadmin.php'><i class='fa fa-circle-o'></i> Comentarios Admin</a></li>        
      </ul>
    </li>    
    <li class='treeview $seccion $subseccion $tema $segmento $subsegmento $articulo $seccionanio'>
      <a href='#'>
        <i class='fa fa-tasks'></i>
        <span>Secciones</span>
        <span class='pull-right-container'>
          <i class='fa fa-angle-left pull-right'></i>
        </span>
      </a>
      <ul class='treeview-menu'>
        <li class = '$seccion'>
            <a href='seccion.php'><i class='fa fa-tasks'></i> <span>Secciones</span></a>
        </li> 
        <li class = '$subseccion'>
            <a href='subseccion.php'><i class='fa fa-list'></i> <span>Leyes Secciones</span></a>
        </li>
        <li class = '$tema'>
            <a href='tema.php'><i class='fa fa-tasks'></i> <span>Temas</span></a>
        </li>
        <li class = '$segmento'>
            <a href='segmento.php'><i class='fa fa-tasks'></i> <span>Libros</span></a>
        </li>
        <li class = '$subsegmento'>
            <a href='subsegmento.php'><i class='fa fa-list'></i> <span>Capítulos</span></a>
        </li>
        <li class = '$articulo'>
            <a href='articulo.php'><i class='fa fa-list-ul'></i> <span>Artículos</span></a>
        </li> 
        <li class = '$seccionanio'>
            <a href='seccionanio.php'><i class='fa fa-list-ul'></i> <span>Rango Años Sección</span></a>
        </li>
      </ul>
    </li>
    <li class = '$plan'>
        <a href='plan.php'><i class='fa fa-star'></i> <span>Membresias</span></a>
    </li>
    <li class='treeview $historial $referenciafavoritos'>
      <a href='#'>
        <i class='fa fa-gears'></i>
        <span>Estadisticas Usuarios</span>
        <span class='pull-right-container'>
          <i class='fa fa-angle-left pull-right'></i>
        </span>
      </a>
      <ul class='treeview-menu'>
        <li class = '$referenciafavoritos'>
            <a href='referenciafavoritos.php'><i class='fa fa-heart'></i> <span>Favoritos Agregados</span></a>
        </li>
        <li class = '$historial'>
            <a href='historial.php'><i class='fa fa-calendar'></i> <span>Historial de Visitas</span></a>
        </li>
      </ul>
    </li>  
    
    <li class = '$historial'>
        <a href='historial.php'><i class='fa fa-calendar'></i> <span>Historial de Visitas</span></a>
    </li>
    
    
    <li class='treeview $contacto $boletin $preguntafrecuente'>
      <a href='#'>
        <i class='fa fa-gears'></i>
        <span>Notificaciones Web</span>
        <span class='pull-right-container'>
          <i class='fa fa-angle-left pull-right'></i>
        </span>
      </a>
      <ul class='treeview-menu'>
        <li  class = '$contacto'><a href='contacto.php'><i class='fa fa-list'></i> Formulario Contacto</a></li>        
        <li  class = '$boletin'><a href='boletin.php'><i class='fa fa-envelope'></i> Boletín Email</a></li>                
      </ul>
    </li>  
    <li class='treeview $blog $testimonio $preguntafrecuente'>
      <a href='#'>
        <i class='fa fa-gears'></i>
        <span>Secciones Web</span>
        <span class='pull-right-container'>
          <i class='fa fa-angle-left pull-right'></i>
        </span>
      </a>
      <ul class='treeview-menu'>
        <li  class = '$blog'><a href='blog.php'><i class='fa fa-newspaper-o'></i> Blog</a></li>        
        <li  class = '$testimonio'><a href='testimonio.php'><i class='fa fa-comments'></i> Testimonios</a></li>        
        <li  class = '$preguntafrecuente'><a href='preguntafrecuente.php'><i class='fa fa-list'></i> Preguntas Frecuentes</a></li>        
        <li  class = '$terminosycondiciones'><a href='terminosycondiciones.php'><i class='fa fa-list'></i> Terminos y Condiciones</a></li>        
      </ul>

      
    </li>    
    <li>
        <a href='index.php?s=1'><i class='fa fa-sign-out'></i> <span>Salir</span></a>
    </li>";
    
    
	return $menu;

}

?>