<?php
define("EXP", 6000000);
setlocale(LC_CTYPE, 'es_ES');
ini_set("display_errors", "0");
ini_set("memory_limit", "-1");
include_once 'lib/tbs_class.php';
include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/config.php';

(isset($_GET['id'])) ? $get_id = $_GET['id'] : $get_id = '';
(isset($_GET['n'])) ? $getnuevo = $_GET['n'] : $getnuevo = '';
(isset($_GET['e'])) ? $geteliminarimg = $_GET['e'] : $geteliminarimg = '';

$xajax = new xajax('lib/ajx_fnci.php');
$xajax->registerFunction('cargarcambiaseccion');
$xajax->registerFunction('cargarcambiasegmento');
session_start();
$xajax->printJavascript('lib/');

$conexion = new ConexionBd();

session_start();
$iniuser = $_SESSION['iniuser'];
$login = $_SESSION['login'];
$perfil = $_SESSION['perfil'];

if ($iniuser==""){
  echo "<script language='JavaScript'>window.location = 'index.php'; </script>";
  exit();
}

if ($geteliminarimg == "1") {
  $resultado = $conexion->doUpdate(
    "ley",
    "ley_img ='0.jpg'",
    "ley_id = '$get_id'"
  );
}

$ley_img  = "0.jpg";

$menu = crearmenu(3);

$displayleyimpositiva = " style = 'display: none' ";

if ($getnuevo != "1") {
  $arrresultado = $conexion->doSelect(
    "ley_id, ley_nombre, ley_descrip,
    ley_visitas, ley_activo, ley_eliminado, ley.usuario_idreg,
    DATE_FORMAT(ley_fechareg,'%d/%m/%Y %H:%i:%s') as ley_fechareg, ley_orden, ley_img,
    ley.seccion_id, seccion_nombre,
    ley.subseccion_id, subseccion_nombre,
    ley.tema_id, tema_nombre,
    ley.segmento_id, segmento_nombre,
    ley.subsegmento_id, subsegmento_nombre,
    ley.seccionanio_id, seccionanio_nombre, ley_articulos, ley_resumen
    ",
    "ley
          inner join seccion on ley.seccion_id = seccion.seccion_id
          left join subseccion on ley.subseccion_id = subseccion.subseccion_id
          left join tema on ley.tema_id = tema.tema_id
          left join segmento on ley.segmento_id = segmento.segmento_id
          left join subsegmento on ley.subsegmento_id = subsegmento.subsegmento_id
          left join seccionanio on seccionanio.seccionanio_id = ley.seccionanio_id
      ",
    "ley_eliminado = '0' and ley_id = '$get_id' ",
    null,
    "ley_id desc"
  );

  foreach ($arrresultado as $i => $valor) {

    $ley_id = utf8_encode($valor["ley_id"]);
    $ley_nombre = utf8_encode($valor["ley_nombre"]);

    $elementoTextBuscar = html_entity_decode($ley_nombre, ENT_QUOTES | HTML_ENTITIES, "UTF-8");
    $re = "/(?i)(ley|decreto|decreto-ley|resolucion general|resolución general|resolución seprelad|resolucion seprelad|anexo del decreto|acuerdo y sentencia)";
    $re .= "[[:blank:]]\\N[^W-w]{2}[[:blank:]](([0-9]{2,6})([\/])([0-9]{2,6})|([0-9]{2,6})[[:blank:]]([\/])[[:blank:]]([0-9]{2,6}))?([a-zA-Z\.\s]+)?/m";

    $elementoTextBuscar = str_replace("NRO.", "N°", $elementoTextBuscar);
    $elementoTextBuscar = (string) mb_strtolower($elementoTextBuscar);

    preg_match_all($re, $elementoTextBuscar,$match);

    if (!empty($match[0])) {
        $selected = trim($match[1][0]);
		
		$selected = str_replace( 'á', 'a', $selected);
        $selected = str_replace( 'é', 'e', $selected);
        $selected = str_replace( 'í', 'i', $selected);
        $selected = str_replace( 'ó', 'o', $selected);
        $selected = str_replace( 'ú', 'u', $selected);
		
        $ley_nombre1 = (empty($match[3][0])) ? $match[6][0] : $match[3][0];
        $ley_nombre2 = (empty($match[5][0])) ? $match[8][0] : $match[5][0];

        if (!empty($match[9][0]) && $match[9][0]!="." && $match[9][0]!="") {
            $displayley_nombre3 = " style = 'display: block' ";
            $ley_nombre3 = $match[9][0];
        } else {
            //$displayley_nombre3 = " style = 'display: none' ";
            $ley_nombre3 = "";
        }
    } /*else {
        $re = "/(?i)(ley|decreto|decreto-ley|resolucion general|resolución general|resolución SEPRELAD|resolucion seprelad|anexo del decreto)[[:blank:]]\\N[^W-w]{2}[[:blank:]]([0-9]{2,6})/m";

        $elementoTextBuscar = mb_strtolower($elementoTextBuscar);
        //$elementoTextBuscar = str_replace('-', '', $elementoTextBuscar);

        preg_match_all($re, $elementoTextBuscar,$match);

        $selected = $match[1][0];
        $ley_nombre1 = $match[2][0];
        $ley_nombre2 = "";
    }*/

    $s0 = (empty($selected)) ? " selected='selected' " : "";
    $s1 = (strtolower($selected)=="ley") ? " selected='selected' " : "";
    $s2 = (strtolower($selected)=="decreto") ? " selected='selected' " : "";
    $s3 = (strtolower($selected)=="resolucion general") ? " selected='selected' " : "";
    $s4 = (strtolower($selected)=="resolucion seprelad") ? " selected='selected' " : "";
    $s5 = (strtolower($selected)=="anexo del decreto") ? " selected='selected' " : "";
    $s6 = (strtolower($selected)=="decreto-ley") ? " selected='selected' " : "";
    $s7 = (strtolower($selected)=="acuerdo y sentencia") ? " selected='selected' " : "";

    $ley_nombre0 = "<option $s0 value=''>Por Favor Seleccione...</option>";
    $ley_nombre0 .= "<option $s1 value='Ley'>Ley</option>";
    $ley_nombre0 .= "<option $s2 value='Decreto'>Decreto</option>";
    $ley_nombre0 .= "<option $s3 value='Resolución General'>Resolución General</option>";
    $ley_nombre0 .= "<option $s4 value='Resolución SEPRELAD'>Resolución SEPRELAD</option>";
    $ley_nombre0 .= "<option $s5 value='Anexo del Decreto'>Anexo del Decreto</option>";
    $ley_nombre0 .= "<option $s6 value='Decreto Ley'>Decreto Ley</option>";
    $ley_nombre0 .= "<option $s7 value='Acuerdo y Sentencia'>Acuerdo y Sentencia</option>";

    $ley_img = utf8_encode($valor["ley_img"]);
    $ley_descrip = utf8_encode($valor["ley_descrip"]);
    $ley_visitas = utf8_encode($valor["ley_visitas"]);
    $ley_activo = utf8_encode($valor["ley_activo"]);
    $ley_fechareg = utf8_encode($valor["ley_fechareg"]);
    $ley_orden = utf8_encode($valor["ley_orden"]);
    $ley_articulos = utf8_encode($valor["ley_articulos"]);
    $ley_resumen = utf8_encode($valor["ley_resumen"]);

    $t_seccion_id = utf8_encode($valor["seccion_id"]);
    $seccion_nombre = utf8_encode($valor["seccion_nombre"]);
    $t_subseccion_id = utf8_encode($valor["subseccion_id"]);
    $subseccion_nombre = utf8_encode($valor["subseccion_nombre"]);
    $t_tema_id = utf8_encode($valor["tema_id"]);
    $tema_nombre = utf8_encode($valor["tema_nombre"]);
    $t_segmento_id = utf8_encode($valor["segmento_id"]);
    $segmento_nombre = utf8_encode($valor["segmento_nombre"]);
    $t_subsegmento_id = utf8_encode($valor["subsegmento_id"]);
    $subsegmento_nombre = utf8_encode($valor["subsegmento_nombre"]);
    $t_seccionanio_id = utf8_encode($valor["seccionanio_id"]);
    $seccionanio_nombre = utf8_encode($valor["seccionanio_nombre"]);
  }
} else {
    $ley_nombre0 = "<option value=''>Por Favor Seleccione...</option>";
    $ley_nombre0 .= "<option value='Ley'>Ley</option>";
    $ley_nombre0 .= "<option value='Decreto'>Decreto</option>";
    $ley_nombre0 .= "<option value='Resolución General'>Resolución General</option>";
    $ley_nombre0 .= "<option value='Resolución SEPRELAD'>Resolución SEPRELAD</option>";
    $ley_nombre0 .= "<option value='Resolución General'>Anexo del Decreto</option>";
    $ley_nombre0 .= "<option value='Decreto Ley'>Decreto Ley</option>";
    $ley_nombre0 .= "<option value='Acuerdo y Sentencia'>Acuerdo y Sentencia</option>";
}

if ($t_seccion_id == "1") { // Leyes Impositiva
  $displayleyimpositiva  = "";
}

$arrresultado = $conexion->doSelect(
  "seccion_id, seccion_nombre",
  "seccion ",
  "seccion_activo = '1'",
  null,
  "seccion_orden asc"
);

$optionseccion = "<option value=''>-- Seleccione --</option>";
foreach ($arrresultado as $i => $valor) {

  $seccion_id = utf8_encode($valor["seccion_id"]);
  $seccion_nombre = utf8_encode($valor["seccion_nombre"]);

  if ($t_seccion_id == $seccion_id) {
    $optionseccion .= "<option selected='selected' value='$seccion_id'>$seccion_nombre</option>";
  } else {
    $optionseccion .= "<option value='$seccion_id'>$seccion_nombre</option>";
  }
}

$arrresultado = $conexion->doSelect(
  "subseccion_id, subseccion_nombre",
  "subseccion ",
  "subseccion_activo = '1' and seccion_id = '$t_seccion_id'",
  null,
  "subseccion_orden asc"
);

$optionsubseccion = "<option value=''>-- Seleccione --</option>";
foreach ($arrresultado as $i => $valor) {

  $subseccion_id = utf8_encode($valor["subseccion_id"]);
  $subseccion_nombre = utf8_encode($valor["subseccion_nombre"]);

  if ($t_subseccion_id == $subseccion_id) {
    $optionsubseccion .= "<option selected='selected' value='$subseccion_id'>$subseccion_nombre</option>";
  } else {
    $optionsubseccion .= "<option value='$subseccion_id'>$subseccion_nombre</option>";
  }
}

$arrresultado = $conexion->doSelect(
  "tema_id, tema_nombre",
  "tema ",
  "tema_activo = '1'  and seccion_id = '$t_seccion_id' ",
  null,
  "tema_orden asc"
);

$optiontema = "<option value=''>-- Seleccione --</option>";
foreach ($arrresultado as $i => $valor) {

  $tema_id = utf8_encode($valor["tema_id"]);
  $tema_nombre = utf8_encode($valor["tema_nombre"]);

  if ($t_tema_id == $tema_id) {
    $optiontema .= "<option selected='selected' value='$tema_id'>$tema_nombre</option>";
  } else {
    $optiontema .= "<option value='$tema_id'>$tema_nombre</option>";
  }
}


$arrresultado = $conexion->doSelect(
  "segmento_id, segmento_nombre",
  "segmento ",
  "segmento_activo = '1' and seccion_id = '$t_seccion_id'  and tema_id = '$t_tema_id'  ",
  null,
  "segmento_orden asc"
);

$optionsegmento = "<option value=''>-- Seleccione --</option>";
foreach ($arrresultado as $i => $valor) {

  $segmento_id = utf8_encode($valor["segmento_id"]);
  $segmento_nombre = utf8_encode($valor["segmento_nombre"]);

  if ($t_segmento_id == $segmento_id) {
    $optionsegmento .= "<option selected='selected' value='$segmento_id'>$segmento_nombre</option>";
  } else {
    $optionsegmento .= "<option value='$segmento_id'>$segmento_nombre</option>";
  }
}

$arrresultado = $conexion->doSelect(
  "seccionanio_id, seccionanio_nombre",
  "seccionanio ",
  "seccionanio_activo = '1' and seccionanio.seccion_id = '$t_seccion_id'",
  null,
  "seccionanio_orden asc"
);

$optionseccionanio = "<option value=''>-- Seleccione --</option>";
foreach ($arrresultado as $i => $valor) {

  $seccionanio_id = utf8_encode($valor["seccionanio_id"]);
  $seccionanio_nombre = utf8_encode($valor["seccionanio_nombre"]);

  if ($t_seccionanio_id == $seccionanio_id) {
    $optionseccionanio .= "<option selected='selected' value='$seccionanio_id'>$seccionanio_nombre</option>";
  } else {
    $optionseccionanio .= "<option value='$seccionanio_id'>$seccionanio_nombre</option>";
  }
}


if ($ley_img == "0.jpg") {
  $displayeliminarimg = " style = 'display: none' ";
}


$TBS = new clsTinyButStrong;
$TBS->LoadTemplate('modificarreferencia.html');
$TBS->Show();