<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

(isset($_GET['sid'])) ? $getseccion_id=$_GET['sid'] :$getseccion_id='';
(isset($_GET['tid'])) ? $gettema_id=$_GET['tid'] :$gettema_id='';
(isset($_GET['a'])) ? $getanio=$_GET['a'] :$getanio='';
(isset($_GET['q'])) ? $getbuscar=$_GET['q'] :$getbuscar='';

include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';

$conexion = new ConexionBd();

$tituloincluderefencias = " Últimas Actualizaciones ";

if ($getseccion_id!=""){
	$whereseccion =  " and ley.seccion_id = '$getseccion_id' ";

	$arrresultado = $conexion->doSelect("seccion_id, seccion_nombre, seccion_color",
		  "seccion
	    ",
		  "seccion_activo = '1' and seccion_id = '$getseccion_id' ");
	  foreach($arrresultado as $i=>$valor){
		  $a_seccion_nombre = utf8_encode($valor["seccion_nombre"]);
      $seccion_color = utf8_encode($valor["seccion_color"]);
	  }
  
    $tituloincluderefencias = $a_seccion_nombre;

		$titulosinresultado = " para <span style='font-weight: bold'>".$a_seccion_nombre."</span>";

}


if ($gettema_id!=""){
	$wheretema =  " and ley.tema_id = '$gettema_id' ";

	$arrresultado = $conexion->doSelect("tema_id, tema_nombre",
		  "tema
	    ",
		  "tema_activo = '1' and tema_id = '$gettema_id' ");
	  foreach($arrresultado as $i=>$valor){
		    $a_tema_nombre = utf8_encode($valor["tema_nombre"]);
	  }
    
    $tituloincluderefencias .= " / Tema: ".$a_tema_nombre;
        
	$titulosinresultado = " para <span style='font-weight: bold'>".$a_seccion_nombre."</span> / Tema: <span style='font-weight: bold'>".$a_tema_nombre."</span></span>";
}



if ($getanio!=""){
    $whereanio =  " and ( $getanio between aniomin.ano_nombre and aniomax.ano_nombre )";
    
    if ($tituloincluderefencias==""){
      $tituloincluderefencias = $getanio;
    }else{
      $tituloincluderefencias .= " / Año: ".$getanio;
    }				
    
    if ($titulosinresultado==""){
      $titulosinresultado = " para <span style='font-weight: bold'>".$getanio."</span>";
    }else{
      $titulosinresultado .= " / Año: <span style='font-weight: bold'>$getanio </span>";
    }		

	
}

$whereBuscar = "";
if ($getbuscar!=""){
	
		// lowercase the string
		$getbuscar2 = strtolower($getbuscar);

		$getbuscar2 = str_replace(array('á', 'é', 'í', 'ó', 'ú', 'ñ', 'ç'), array('a', 'e', 'i', 'o', 'u', 'n', 'c'), $getbuscar);
		$getbuscar2 = str_replace(array('Á', 'É', 'Í', 'Ó', 'Ú'), array('A', 'E', 'I', 'O', 'U'), $getbuscar);

		//  explode the string into an array
		$buscar = explode(" ", $getbuscar2);

		$wherebuscar .= "and ( ";
		foreach ($buscar as $palabra) {
			$palabra = trim($palabra);
			if ($palabra!=""){
				$wherebuscar .= " ley_descrip like '% $palabra %' or ";
			}
		}
		$wherebuscar = substr($wherebuscar, 0, -3);
		$wherebuscar .= " ) ";


    // $wherebuscar =  " or (  ley_nombre like '%$getbuscar%' or seccion_nombre like '%$getbuscar%' or subseccion_nombre like '%$getbuscar%' or tema_nombre like '%$getbuscar%' or segmento_nombre like '%$getbuscar%' or ley_resumen like '%$getbuscar%' or ley_descrip like '%$getbuscar%' )";
    
    if ($tituloincluderefencias==""){
      $tituloincluderefencias = $getanio;
    }else{
      $tituloincluderefencias .= " / Busqueda: ".$getbuscar;
    }				
    
    if ($titulosinresultado==""){
      $titulosinresultado = " Busqueda: <span style='font-weight: bold'>".$getbuscar."</span>";
    }else{
      $titulosinresultado .= " / Busqueda: <span style='font-weight: bold'>$getbuscar </span>";
    }		

		$arrresultado = $conexion->doSelect('palabraclave_id, palabraclave_nombre',
		  'palabraclave',
		  "palabraclave_nombre LIKE '%$getbuscar%' ");
	  foreach($arrresultado as $i=>$valor){
		    $palabrasclave_id = utf8_encode($valor["palabraclave_id"]);
	  }
		
		if ($palabrasclave_id!=""){
			$wherebuscar .= " or ley.palabraclave_id = '$palabrasclave_id' ";
		}	
}


$arrresultado = $conexion->doSelect("ley_id, ley_nombre, ley_descrip, ley_url,
  ley_visitas, ley_activo, ley_eliminado, ley.usuario_idreg,    
  DATE_FORMAT(ley_fechareg,'%d/%m/%Y %H:%i:%s') as ley_fechareg, ley_orden, ley_img,
  ley.seccion_id, seccion_nombre,
  ley.subseccion_id, subseccion_nombre, 
  ley.tema_id, tema_nombre, 
  ley.segmento_id, segmento_nombre,
  ley.subsegmento_id, subsegmento_nombre,
  ley.seccionanio_id, seccionanio_nombre, ley_resumen, seccion_color
  ",
	  "ley
        inner join seccion on ley.seccion_id = seccion.seccion_id
        left join subseccion on ley.subseccion_id = subseccion.subseccion_id 
        left join tema on ley.tema_id = tema.tema_id 
        left join segmento on ley.segmento_id = segmento.segmento_id 
        left join subsegmento on ley.subsegmento_id = subsegmento.subsegmento_id 
        left join seccionanio on seccionanio.seccionanio_id = ley.seccionanio_id 
        left join ano aniomin on seccionanio.ano_idmin = aniomin.ano_id
        left join ano aniomax on seccionanio.ano_idmax = aniomax.ano_id
    ",
	  "ley_activo = '1' $whereseccion $wheretema $whereanio $wherebuscar ", null, "ley_orden asc");
  foreach($arrresultado as $i=>$valor){

  $include_ley_url = utf8_encode($valor["ley_url"]);
	$include_ley_id = utf8_encode($valor["ley_id"]);
	$include_ley_nombre = utf8_encode($valor["ley_nombre"]);
	$include_ley_img = utf8_encode($valor["ley_img"]);
	$include_ley_descrip = utf8_encode($valor["ley_descrip"]);            
	$include_ley_visitas = utf8_encode($valor["ley_visitas"]);
	$include_ley_activo = utf8_encode($valor["ley_activo"]);
	$include_ley_fechareg = utf8_encode($valor["ley_fechareg"]);      
	$include_ley_orden = utf8_encode($valor["ley_orden"]);  
	$include_ley_resumen = utf8_encode($valor["ley_resumen"]);  
      
	$include_t_seccion_id = utf8_encode($valor["seccion_id"]);  
	$include_seccion_nombre = utf8_encode($valor["seccion_nombre"]);
	$include_seccion_color = utf8_encode($valor["seccion_color"]);  
	$include_t_subseccion_id = utf8_encode($valor["subseccion_id"]);  
	$include_subseccion_nombre = utf8_encode($valor["subseccion_nombre"]);  
	$include_t_tema_id = utf8_encode($valor["tema_id"]);  
	$include_tema_nombre = utf8_encode($valor["tema_nombre"]);  
	$include_t_segmento_id = utf8_encode($valor["segmento_id"]);  
	$include_segmento_nombre = utf8_encode($valor["segmento_nombre"]);  
	$include_t_subsegmento_id = utf8_encode($valor["subsegmento_id"]);  
	$include_subsegmento_nombre = utf8_encode($valor["subsegmento_nombre"]);  
	$include_t_seccionanio_id = utf8_encode($valor["seccionanio_id"]);  
	$include_seccionanio_nombre = utf8_encode($valor["seccionanio_nombre"]);  

	$includereferencias .= "
			<li style='overflow: hidden; text-align: justify;'>	
					<p style='font-size:13px;color:#898a8bcf'><span>$include_seccion_nombre</span></p>
					<a class='search-title' href='ref/$include_ley_id/$include_ley_url' style='font-size:20px; font-weight:500px; color: #1a0dab'>$include_ley_nombre</a>
					<p class='ley-resumen' style='color:#4d5156; font-size:14px; line-height:1.6; margin-top:5px'>$include_ley_resumen</p>
					<div class='ley-descrip' style='display:none'>$include_ley_descrip</div>
				</a>
			</li>
		";

}

if ($includereferencias==""){
	$includereferencias = "
    <div class='alert alert-danger' style='text-align: center'>
        No Existen Referencias Cargadas $titulosinresultado
    </div>";

}

if ($seccion_color!=""){
  $styleseccion = " style = 'background: $seccion_color; margin-top: -20px' ";
}else{
	$styleseccion = " style = 'background: #898A8B; margin-top: -20px' ";
}

?>
<div class="container-fluid" <?php echo $styleseccion;?> >
	<div class="container">		
		<div class="row">
			<div class="col-md-12" style="padding: 20px 0px 0px">
				<h2 class="ereaders-section-heading" style="color: #FFF" ><?php echo $tituloincluderefencias;?></h2>	
			</div>
		</div>		
	</div>	
</div>
<div class="container" style="margin-top: 30px">
	<div class="row">				
		<div class="col-md-9">	
			<div class="ereaders-about-education">
				<ul>
					<?php echo $includereferencias;?>
				</ul>
			</div>			
		</div>
		<div class="col-md-3">
            <?php include_once "includetemas.php"; ?>
        </div>
	</div>    
	<script>
		window.onload = () => {
			const leyesDescrip = document.getElementsByClassName('ley-descrip');
			const leyesResumen = document.getElementsByClassName('ley-resumen');
			
			let searchTerms = document.getElementById('search-term').value.toLowerCase().split(' ').filter(term => term.length > 2);


			for (let i = 0; i < leyesDescrip.length; i++) {



				let excerpt = ''
				searchTerms.map(term => {
					
					const leyDescripClean = leyesDescrip[i].innerHTML.toLowerCase().replace(/(<([^>]+)>)/gi, '');
					const regex = new RegExp(term, 'gi');
					const match = leyDescripClean.match(regex);
					if (match) {
						const index = leyDescripClean.indexOf(term);
						const start = index - 100;
						const end = index + 100;
						excerpt += leyDescripClean.substring(start, end) + ' (...) ';
						// Highlight the search term
						excerpt = excerpt.replace(regex, `<b style="color: black">${term}</b>`);
					}
				});

				if(excerpt.length == 0){
					leyesResumen[i].innerHTML = leyesResumen[i].innerHTML;
				}else{
					// remove last (...) if there is one
					if (excerpt.endsWith(' (...) ')) {
						excerpt = excerpt.substring(0, excerpt.length - 7);
					}

					// remove first and last word
					excerpt = excerpt.replace(/^[^\s]+\s/, '').replace(/\s[^\s]+$/, '');
					
					leyesResumen[i].innerHTML = "..."+excerpt+"...";
				}
			}



			// const searchTerm = document.getElementById('search-term').value;
			// const apiKey = '<?php echo $env['TEXT_GEARS_API_KEY'];?>';
			// const searchUrl = `https://api.textgears.com/grammar?text=${searchTerm}&language=es-ES&whitelist=&dictionary_id=&key=${apiKey}`;
			// fetch(searchUrl)
			// 	.then(response => response.json())
			// 	.then(request => {
			// 		console.log(request);
			// 		if(request.errors.length > 0){
			// 			const errors = request.response.errors;

			// 			// Replace bad words with better ones
			// 			const newText = errors.reduce((text, error) => {
			// 				return text.replace(error.bad, error.better[0]);
			// 			}, text);

			// 			// highlight good words
			// 			const highlightedText = errors.reduce((text, error) => {
			// 				return text.replace(error.better[0], `<mark>${error.better[0]}</mark>`);
			// 			} , newText);
			// 			console.log(highlightedText);
			// 		}
			// 	});

			
		}
	</script>
</div>
