<?php
include_once '../lib/configinc_in.php';
include_once '../lib/mysqlclass.php';
include_once '../lib/xajax_0.2.4/xajax.inc.php';
include_once '../lib/funciones.php';

$xajax = new xajax('ajx_fnci.php');

/*
$xajax->registerFunction('registrarfuncionario');
$xajax->registerFunction('eliminarfuncionario');
$xajax->registerFunction('registrardpto');
$xajax->registerFunction('eliminardpto');
$xajax->registerFunction('registrarcargo');
$xajax->registerFunction('eliminarcargo');
$xajax->registerFunction('registrargrupocli');
$xajax->registerFunction('eliminargrupocli');
$xajax->registerFunction('ingresarusuario');
$xajax->registerFunction('cambiarestatusfuncionario');
$xajax->registerFunction('registrarcliente');
$xajax->registerFunction('eliminarcliente');
$xajax->registerFunction('registrarempresa');
$xajax->registerFunction('eliminarempresa');
$xajax->registerFunction('registrarmedio');
$xajax->registerFunction('eliminarmedio');
$xajax->registerFunction('registrarproveedor');
$xajax->registerFunction('eliminarproveedor');
$xajax->registerFunction('registrarprestadorservicio');
$xajax->registerFunction('eliminarprestadorservicio');
$xajax->registerFunction('registrarcontacto');
$xajax->registerFunction('eliminarcontacto');
$xajax->registerFunction('registrardatosbancario');
$xajax->registerFunction('eliminardatosbancario');
*/



function registrardatosbancario($datbco_id,
				$datbco_nombre, $datbco_numero, $datbco_cuenta, 
				$datbco_gerente, $datbco_telf, $datbco_email,
				$datbco_idelement, $empresa_id){

	$objResponse = new xajaxResponse();

	$dia = substr($contacto_fechaaniv,0,2);
	$mes = substr($contacto_fechaaniv,3,2);
	$ano = substr($contacto_fechaaniv,6,4);
	$contacto_fechaaniv = $ano."-".$mes."-".$dia;

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	$fechaactual = formatoFechaHoraBd();


	$conexion = new ConexionBd();

	$datbco_nombre = utf8_decode($datbco_nombre);
	$datbco_numero = utf8_decode($datbco_numero);
	$datbco_cuenta = utf8_decode($datbco_cuenta);
	$datbco_gerente = utf8_decode($datbco_gerente);
	

	if ($datbco_id==""){//Registrar

		$resultado = $conexion->doInsert("
			datosbancario
				(datbco_nombre, datbco_numero, datbco_cuenta, datbco_gerente, datbco_telf, 
				datbco_email, datbco_tipo, datbco_idelement, datbco_activo) 	
			",
				"'$datbco_nombre','$datbco_numero','$datbco_cuenta','$datbco_gerente','$datbco_telf',
				'$datbco_email','empresa','$datbco_idelement','1'");
		if ($resultado){
			$texresp ="Adicionado com sucesso  Dados Báncario";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'datosbancarios.php?elid=$datbco_idelement';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("datosbancario",
			"
			datbco_nombre = '$datbco_nombre',
			datbco_numero = '$datbco_numero', 
			datbco_cuenta = '$datbco_cuenta',
			datbco_gerente = '$datbco_gerente',
			datbco_telf = '$datbco_telf',
			datbco_email = '$datbco_email',						
			datbco_activo = '1'
			", "datbco_id=$datbco_id");
			if ($resultado){
				$texresp ="Modificado corretamente Dados Báncario";
				$objResponse->addAlert($texresp);
				$objResponse->addScript("window.location = 'datosbancarios.php?elid=$datbco_idelement';");
				return $objResponse;
			}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Dados Báncario , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminardatosbancario($id, $estatus){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("datosbancario", "dtobco_activo = '0'", "dtobco_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Dados Báncario";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");

	}
	else{
		$texresp ="Erro Eliminando Dados Báncario, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");
	}
	return $objResponse;
}


function registrarcontacto($contacto_id,
				$contacto_nombre, $contacto_cargo, $contacto_telf, 
				$contacto_cel, $contacto_email, $contacto_fechaaniv,
				$contacto_facebook, $contacto_linkedin, $tablacontacto_id, $elementoid,$nombrecliente, $contacto_ramal){

	$objResponse = new xajaxResponse();
	
	//$objResponse->addAlert($contacto_email);
	
	//return $objResponse;

	$dia = substr($contacto_fechaaniv,0,2);
	$mes = substr($contacto_fechaaniv,3,2);
	$ano = substr($contacto_fechaaniv,6,4);
	$contacto_fechaaniv = $ano."-".$mes."-".$dia;

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	$fechaactual = formatoFechaHoraBd();


	$conexion = new ConexionBd();

	$contacto_nombre = utf8_decode($contacto_nombre);
	$contacto_cargo = utf8_decode($contacto_cargo);

	if ($contacto_id==""){//Registrar

		$resultado = $conexion->doInsert("
			contacto
				(contacto_nombre, contacto_telf, contacto_cell, 
				contacto_email, contacto_fechaaniv, contacto_facebook, contacto_ramal, 
				contacto_linkedin, contacto_cargo, contacto_fecha, 
				contacto_tablaidref, tablacontacto_id, contacto_activo) 
			",
				"'$contacto_nombre','$contacto_telf','$contacto_cel',
				'$contacto_email','$contacto_fechaaniv','$contacto_facebook','$contacto_ramal',
				'$contacto_linkedin','$contacto_cargo','$fechaactual',
				'$elementoid','$tablacontacto_id','1'");
		if ($resultado){
			
			$arrresultado55 = $conexion->doSelect("max(contacto_id) as maxcontacto_id",
					"contacto");
			if (count($arrresultado55)>0){
				foreach($arrresultado55 as $i=>$valor){
					$maxcontacto_id = strtoupper($valor["maxcontacto_id"]);
				}
			}
			
			$texresp ="Adicionado com sucesso el Contacto";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location.reload()");
			//contacto.php?elid=$cliente_id&tl=2&nome=$cliente_contacto
			//$objResponse->addScript("window.open('contacto.php?tl=$tablacontacto_id&elid=$elementoid&nome=$nombrecliente');");
			//$objResponse->addScript("window.location = 'contacto.php?tl=$tablacontacto_id';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("contacto",
				"
				contacto_nombre = '$contacto_nombre',
				contacto_telf = '$contacto_telf',
				contacto_cell = '$contacto_cel',
				contacto_email = '$contacto_email',
				contacto_fechaaniv = '$contacto_fechaaniv',
				contacto_facebook = '$contacto_facebook',
				contacto_ramal = '$contacto_ramal',
				contacto_linkedin = '$contacto_linkedin',
				contacto_cargo = '$contacto_cargo',
				contacto_fecha = '$fechaactual',
				contacto_tablaidref = '$elementoid', 
				tablacontacto_id = '$tablacontacto_id'				
				", "contacto_id=$contacto_id");
		if ($resultado){
			$texresp ="Modificado corretamente Contacto";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location.reload()");
			//$objResponse->addScript("window.location = 'contacto.php?tl=$tablacontacto_id&elid=$contacto_id&nome=$contacto_nombre';");
			//$objResponse->addScript("window.location = 'contacto.php?tl=$tablacontacto_id';");
			return $objResponse;
		}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Contacto , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarcontacto($id, $estatus, $tablacontacto_id){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("contacto", "contacto_activo = '0'", "contacto_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Contacto";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");

	}
	else{
		$texresp ="Erro Eliminando Contacto, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");
	}
	return $objResponse;
}

function registrarprestadorservicio($preserv_id,$preserv_razonsocial,$preserv_nombrefantasia,$preserv_direccion,$preserv_cnpj,
			$preserv_inscestadual,$tipoprov_id, $preserv_datbanco, $preserv_observ){

	$objResponse = new xajaxResponse();

	$dia = substr($contacto_fechaaniver,0,2);
	$mes = substr($contacto_fechaaniver,3,2);
	$ano = substr($contacto_fechaaniver,6,4);
	$contacto_fechaaniver = $ano."-".$mes."-".$dia;

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	$fechaactual = formatoFechaHoraBd();


	$conexion = new ConexionBd();
	$preserv_razonsocial = utf8_decode($preserv_razonsocial);
	$preserv_nombrefantasia = utf8_decode($preserv_nombrefantasia);
	$preserv_direccion = utf8_decode($preserv_direccion);
	$preserv_cnpj = utf8_decode($preserv_cnpj);
	$preserv_inscestadual = utf8_decode($preserv_inscestadual);
	$preserv_tipoproveedor = utf8_decode($preserv_tipoproveedor);
	$preserv_datbanco = utf8_decode($preserv_datbanco);
	$preserv_observ = utf8_decode($preserv_observ);

	$contacto_nombre = utf8_decode($contacto_nombre);
	$contacto_cargo = utf8_decode($contacto_cargo);

	if ($preserv_id==""){//Registrar

		$resultado = $conexion->doInsert("
			prestaservicio
			(preserv_razonsocial, preserv_nombrefantasia, preserv_direccion, 
			preserv_cnpj, preserv_inscestadual, tipoprov_id, 
			preserv_activo, audit_fecha, audit_personal_id, preserv_datbanco, preserv_observ) 
				
			",
			"'$preserv_razonsocial','$preserv_nombrefantasia','$preserv_direccion',
			'$preserv_cnpj','$preserv_inscestadual','$tipoprov_id',
			,1, '$fechaactual','$usuario_idconectado','$preserv_datbanco','$preserv_observ'");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Prestadores de serviço";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'prestadorserv.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("prestaservicio",
				"
				preserv_razonsocial = '$preserv_razonsocial',
				preserv_nombrefantasia = '$preserv_nombrefantasia',
				preserv_direccion = '$preserv_direccion',
				preserv_cnpj = '$preserv_cnpj',
				preserv_inscestadual = '$preserv_inscestadual',
				tipoprov_id = '$tipoprov_id',				
				audit_fecha = '$fechaactual',
				audit_personal_id = '$usuario_idconectado',
				preserv_datbanco = '$preserv_datbanco',
				preserv_observ = '$preserv_observ'
				", "preserv_id=$preserv_id");
		if ($resultado){
			$texresp ="Modificado corretamente Prestadores de serviço";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'prestadorserv.php';");
			return $objResponse;
		}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Prestadores de serviço , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarprestadorservicio($id, $estatus){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("prestaservicio", "preserv_activo = '0'", "preserv_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Prestadores de serviço";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'prestadorserv.php';");

	}
	else{
		$texresp ="Erro Eliminando Prestadores de serviço, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'prestadorserv.php';");
	}
	return $objResponse;
}


function registrarproveedor($proveed_id,$proveed_razonsocial,$proveed_nombrefantasia,$proveed_direccion,$proveed_cnpj,
			$proveed_inscestadual,$tipoprov_id,
			$proveed_site,$proveed_facebook,$proveed_linkedin){

	$objResponse = new xajaxResponse();

	$dia = substr($contacto_fechaaniver,0,2);
	$mes = substr($contacto_fechaaniver,3,2);
	$ano = substr($contacto_fechaaniver,6,4);
	$contacto_fechaaniver = $ano."-".$mes."-".$dia;

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	//session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	$fechaactual = formatoFechaHoraBd();


	$conexion = new ConexionBd();
	$proveed_razonsocial = utf8_decode($proveed_razonsocial);
	$proveed_nombrefantasia = utf8_decode($proveed_nombrefantasia);
	$proveed_direccion = utf8_decode($proveed_direccion);
	$proveed_cnpj = utf8_decode($proveed_cnpj);
	$proveed_inscestadual = utf8_decode($proveed_inscestadual);
	$proveed_site = utf8_decode($proveed_site);
	$proveed_facebook = utf8_decode($proveed_facebook);
	$proveed_linkedin = utf8_decode($proveed_linkedin);

	if ($proveed_id==""){//Registrar

		$resultado = $conexion->doInsert("
			proveedor
				(proveed_razonsocial, proveed_nombrefantasia, proveed_direccion, proveed_cnpj, proveed_inscestadual, tipoprov_id, 
				proveed_activo, audit_fecha, audit_personal_id,proveed_site, proveed_facebook, proveed_linkedin  ) 				
			",
				"'$proveed_razonsocial','$proveed_nombrefantasia','$proveed_direccion','$proveed_cnpj','$proveed_inscestadual','$tipoprov_id',
				1, '$fechaactual','$usuario_idconectado','$proveed_site','$proveed_facebook','$proveed_linkedin'");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Fornecedor";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'proveedor.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("proveedor",
				"
				proveed_razonsocial = '$proveed_razonsocial',
				proveed_nombrefantasia = '$proveed_nombrefantasia',
				proveed_direccion = '$proveed_direccion',
				proveed_cnpj = '$proveed_cnpj',
				proveed_inscestadual = '$proveed_inscestadual',
				tipoprov_id = '$tipoprov_id',
				proveed_site = '$proveed_site',
				proveed_facebook = '$proveed_facebook',
				proveed_linkedin = '$proveed_linkedin',								
				audit_fecha = '$fechaactual',
				audit_personal_id = '$usuario_idconectado'
				", "proveed_id=$proveed_id");
		if ($resultado){
			$texresp ="Modificado corretamente Fornecedor";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'proveedor.php';");
			return $objResponse;
		}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Fornecedor , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarproveedor($id, $estatus){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("proveedor", "proveed_activo = '0'", "proveed_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Fornecedor";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'proveedor.php';");

	}
	else{
		$texresp ="Erro Eliminando Fornecedor, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'proveedor.php';");
	}
	return $objResponse;
}

function registrarmedio($medio_id, $medio_razonsocial, $medio_nombrefantasia, $medio_direccion, 
				$medio_cnpj, $medio_inscestadual, $tipomedio_id, $segmercado_id, $medio_clienteatendido, $medio_anexarkit){

	$objResponse = new xajaxResponse();

	$dia = substr($contacto_fechaaniver,0,2);
	$mes = substr($contacto_fechaaniver,3,2);
	$ano = substr($contacto_fechaaniver,6,4);
	$contacto_fechaaniver = $ano."-".$mes."-".$dia;
	
	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	$fechaactual = formatoFechaHoraBd();


	$conexion = new ConexionBd();
	$medio_razonsocial = utf8_decode($medio_razonsocial);
	$medio_nombrefantasia = utf8_decode($medio_nombrefantasia);
	$medio_direccion = utf8_decode($medio_direccion);
	$medio_cnpj = utf8_decode($medio_cnpj);
	$medio_inscestadual = utf8_decode($medio_inscestadual);
	$medio_clienteatendido = utf8_decode($medio_clienteatendido);
	$medio_anexarkit = utf8_decode($medio_anexarkit);	

	if ($medio_id==""){//Registrar

		$resultado = $conexion->doInsert("
			medio
			(medio_razonsocial, medio_nombrefantasia, medio_direccion, medio_cnpj, 
			medio_inscestadual, tipomedio_id, segmercado_id,  
			medio_clienteatendido, medio_anexarkit, audit_fecha, audit_personal_id, medio_activo) 				
			",
			"'$medio_razonsocial','$medio_nombrefantasia','$medio_direccion','$medio_cnpj',
			'$medio_inscestadual','$tipomedio_id','$segmercado_id',
			'$medio_clienteatendido','$medio_anexarkit','$fechaactual','$usuario_idconectado',1");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Medio";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'medio.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("medio",
				"
			medio_razonsocial = '$medio_razonsocial',
			medio_nombrefantasia = '$medio_nombrefantasia',
			medio_direccion = '$medio_direccion',
			medio_cnpj = '$medio_cnpj',
			medio_inscestadual = '$medio_inscestadual',
			tipomedio_id = '$tipomedio_id',
			segmercado_id = '$segmercado_id',			
			medio_clienteatendido = '$medio_clienteatendido',
			medio_anexarkit = '$medio_anexarkit',
			audit_fecha = '$fechaactual',
			audit_personal_id = '$usuario_idconectado'
			", "medio_id=$medio_id");
		if ($resultado){
			$texresp ="Modificado corretamente Medio";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'medio.php';");
			return $objResponse;
		}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Medio , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarmedio($id, $estatus){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("medio", "medio_activo = '0'", "medio_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Medio";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'medio.php';");

	}
	else{
		$texresp ="Erro Eliminando Medio, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'medio.php';");
	}
	return $objResponse;
}

function registrarempresa($empresa_id, $empresa_nombre, $empresa_nombrefantasia, 
	$empresa_direccion, $empresa_cnpj, $empresa_inscestadual){
	
	$objResponse = new xajaxResponse();

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	$fechaactual = formatoFechaHoraBd();


	$conexion = new ConexionBd();
	$empresa_nombre = utf8_decode($empresa_nombre);
	$empresa_nombrefantasia = utf8_decode($empresa_nombrefantasia);
	$empresa_direccion = utf8_decode($empresa_direccion);
	$empresa_cnpj = utf8_decode($empresa_cnpj);
	$empresa_inscestadual = utf8_decode($empresa_inscestadual);
	//$empresa_cuentas = utf8_decode($empresa_cuentas);	

	if ($empresa_id==""){//Registrar

		$resultado = $conexion->doInsert("
				empresa
				(empresa_nombre, empresa_nombrefantasia, 
				empresa_direccion, empresa_cnpj, empresa_inscestadual,  
				empresa_activo, audit_fecha, audit_personal_id )
				",
				"'$empresa_nombre','$empresa_nombrefantasia',
				'$empresa_direccion','$empresa_cnpj','$empresa_inscestadual',				
				'1','$fechaactual','$usuario_idconectado'");
		if ($resultado){
			$texresp ="Adicionado com sucesso la Empresa";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'empresa.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("empresa",
				"
			empresa_nombre = '$empresa_nombre',
			empresa_nombrefantasia = '$empresa_nombrefantasia', 
			empresa_direccion = '$empresa_direccion',
			empresa_cnpj = '$empresa_cnpj',
			empresa_inscestadual = '$empresa_inscestadual',			
			audit_fecha = '$fechaactual',
			audit_personal_id = '$usuario_idconectado'
			", "empresa_id=$empresa_id");
			if ($resultado){
				$texresp ="Modificado corretamente Empresa";
				$objResponse->addAlert($texresp);
				$objResponse->addScript("window.location = 'empresa.php';");
				return $objResponse;
			}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Empresa , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarempresa($id, $estatus){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("empresa", "empresa_activo = '0'", "empresa_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Empresa";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'empresa.php';");

	}
	else{
		$texresp ="Erro Eliminando Empresa, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'empresa.php';");
	}
	return $objResponse;
}



function registrarcliente($cliente_id, $cliente_nombreempresa, $cliente_contacto, $cliente_telf, 
				$cliente_email, $cliente_razonsocial, $cliente_nombrefantasia, 
				$cliente_cnpj, $cliente_inscestadual, 
				$grupocli_id, $segmercado_id, $cliente_gcresponsable, $cliente_site, 
				$cliente_facebook, $sponsor_id, 
				$cliente_dircalle, $cliente_dirciudad, $cliente_direstado, $cliente_dirdistrito, $cliente_dircodpostal,
				$cliente_dirccalle, $cliente_dircciudad, $cliente_dircestado, $cliente_dircdistrito, $cliente_dirccodpostal,
				$cliente_comentarios, $cliente_banco, $cliente_nrobanco, $cliente_cuenta, 
				$cliente_dirbarrio, $cliente_dircep, $cliente_dircbarrio, $cliente_dirccep, 
				$contacto_nombre, $contacto_telf, $contacto_cel, $contacto_email, 
				$cliente_dirnro, $cliente_dircompl, $cliente_dircnro, $cliente_dirccompl, $dirresponsable_id){
	
	$objResponse = new xajaxResponse();

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	session_start();
	$usuario_idconectado = $_SESSION["iniuser"];
	
	$dia = substr($contacto_fechaaniver,0,2);
	$mes = substr($contacto_fechaaniver,3,2);
	$ano = substr($contacto_fechaaniver,6,4);
	$contacto_fechaaniver = $ano."-".$mes."-".$dia;
	
	$fechaactual = formatoFechaHoraBd();
	
	
	$conexion = new ConexionBd();
	
	$cliente_dirbarrio = utf8_decode($cliente_dirbarrio);
	$cliente_dircep = utf8_decode($cliente_dircep);
	$cliente_dircbarrio = utf8_decode($cliente_dircbarrio);
	$cliente_dirccep = utf8_decode($cliente_dirccep);
	
	$cliente_nombreempresa = utf8_decode($cliente_nombreempresa);
	$cliente_contacto = utf8_decode($cliente_contacto);
	$cliente_telf = utf8_decode($cliente_telf);
	$cliente_email = utf8_decode($cliente_email);
	$cliente_razonsocial = utf8_decode($cliente_razonsocial);
	$cliente_nombrefantasia = utf8_decode($cliente_nombrefantasia);
	$cliente_direc = utf8_decode($cliente_direc);
	$cliente_direccobranza = utf8_decode($cliente_direccobranza);
	$cliente_cnpj = utf8_decode($cliente_cnpj);
	$cliente_inscestadual = utf8_decode($cliente_inscestadual);
	$segmercado_id = utf8_decode($segmercado_id);
	$cliente_gcresponsable = utf8_decode($cliente_gcresponsable);
	$cliente_site = utf8_decode($cliente_site);
	$cliente_facebook = utf8_decode($cliente_facebook);
	
	$cliente_dircalle = utf8_decode($cliente_dircalle);
	$cliente_dirciudad = utf8_decode($cliente_dirciudad);
	$cliente_direstado = utf8_decode($cliente_direstado);
	$cliente_dirdistrito = utf8_decode($cliente_dirdistrito);
	$cliente_dircodpostal = utf8_decode($cliente_dircodpostal);
	$cliente_dirccalle = utf8_decode($cliente_dirccalle);
	$cliente_dircciudad = utf8_decode($cliente_dircciudad);
	$cliente_dircestado = utf8_decode($cliente_dircestado);
	$cliente_dircdistrito = utf8_decode($cliente_dircdistrito);
	$cliente_dirccodpostal = utf8_decode($cliente_dirccodpostal);
	$cliente_comentarios = utf8_decode($cliente_comentarios);
	
	$cliente_banco = utf8_decode($cliente_banco);
	$cliente_nrobanco = utf8_decode($cliente_nrobanco);
	$cliente_cuenta = utf8_decode($cliente_cuenta);
	
	$cliente_dirnro = utf8_decode($cliente_dirnro);
	$cliente_dircompl = utf8_decode($cliente_dircompl);
	$cliente_dircnro = utf8_decode($cliente_dircnro);
	$cliente_dirccompl = utf8_decode($cliente_dirccompl);
	
	
	
	if ($cliente_id==""){//Registrar
		
		$arrresultado55 = $conexion->doSelect("max(cliente_codigo) as cliente_codigo",
				"cliente", "grupocli_id = '$grupocli_id'");
		if (count($arrresultado55)>0){
			foreach($arrresultado55 as $i=>$valor){
				$cliente_codigo = strtoupper($valor["cliente_codigo"]);			
			}
			if ($cliente_codigo==""){
				$cliente_codigo = 1;
			}else{
				$cliente_codigo = $cliente_codigo + 1;
			}
			
		}
		
		//$objResponse->addAlert($cliente_codigo);
		
		//return $objResponse;
		
		

		$resultado = $conexion->doInsert("
				cliente
				(cliente_nombreempresa, cliente_contacto, cliente_telf, cliente_email, 
				cliente_razonsocial, cliente_nombrefantasia, cliente_direc, cliente_direccobranza, 
				cliente_cnpj, cliente_inscestadual, grupocli_id, segmercado_id, 
				gcresponsable_id, cliente_site, cliente_facebook, sponsor_id, 
				audit_fecha, audit_personal_id, cliente_activo, 
				cliente_dircalle, cliente_dirciudad, cliente_direstado, cliente_dirdistrito,  
				cliente_dirccalle, cliente_dircciudad, cliente_dircestado, cliente_dircdistrito, 
				cliente_comentarios,banco_id, cliente_nrobanco, cliente_cuenta, 
				cliente_dirbarrio, cliente_dircep,cliente_dircbarrio, cliente_dirccep, 
				cliente_dirnro, cliente_dircnro, cliente_dircompl, cliente_dirccompl,
				dirresponsable_id, cliente_codigo   ) 				
				",
				"'$cliente_nombreempresa','$cliente_contacto','$cliente_telf','$cliente_email',
				'$cliente_razonsocial','$cliente_nombrefantasia','$cliente_direc','$cliente_direccobranza',
				'$cliente_cnpj','$cliente_inscestadual','$grupocli_id','$segmercado_id',
				'$cliente_gcresponsable','$cliente_site','$cliente_facebook','$sponsor_id',
				'$fechaactual','$usuario_idconectado','1',
				'$cliente_dircalle','$cliente_dirciudad','$cliente_direstado','$cliente_dirdistrito',
				'$cliente_dirccalle','$cliente_dircciudad','$cliente_dircestado','$cliente_dircdistrito',
				'$cliente_comentarios','$cliente_banco','$cliente_nrobanco','$cliente_cuenta',
				'$cliente_dirbarrio','$cliente_dircep','$cliente_dircbarrio','$cliente_dirccep',
				'$cliente_dirnro','$cliente_dircnro','$cliente_dircompl','$cliente_dirccompl',
				'$dirresponsable_id','$cliente_codigo'
				");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Cliente";
			$arrresultado55 = $conexion->doSelect("max(cliente_id) as maxcliente",
					"cliente");
			if (count($arrresultado55)>0){
				foreach($arrresultado55 as $i=>$valor){
					$cliente_id = strtoupper($valor["maxcliente"]);
				}
			}
			
			if ($contacto_nombre!="" && $contacto_telf!=""){
				$resultado = $conexion->doInsert("
				contacto
				(contacto_nombre, contacto_telf, contacto_cell,
				contacto_email, 
				contacto_fecha,
				contacto_tablaidref, tablacontacto_id, contacto_activo)
			",
						"'$contacto_nombre','$contacto_telf','$contacto_cel',
						'$contacto_email',
						'$fechaactual',
						'$cliente_id','2','1'");
			}
			
			
			
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'cliente.php?tp=1&id=$cliente_id';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("cliente",
				"
				cliente_nombreempresa = '$cliente_nombreempresa', 
				cliente_contacto = '$cliente_contacto',
				cliente_telf = '$cliente_telf',
				cliente_email = '$cliente_email',
				cliente_razonsocial = '$cliente_razonsocial',
				cliente_nombrefantasia = '$cliente_nombrefantasia',
				cliente_direc = '$cliente_direc',
				cliente_direccobranza = '$cliente_direccobranza',
				cliente_cnpj = '$cliente_cnpj',
				cliente_inscestadual = '$cliente_inscestadual',
				grupocli_id = '$grupocli_id',
				segmercado_id = '$segmercado_id',
				gcresponsable_id = '$cliente_gcresponsable',
				cliente_site = '$cliente_site',
				cliente_facebook = '$cliente_facebook',
				sponsor_id = '$sponsor_id',				
				audit_fecha = '$fechaactual',
				audit_personal_id = '$usuario_idconectado', 
				cliente_dircalle = '$cliente_dircalle', 
				cliente_dirciudad = '$cliente_dirciudad',
				cliente_direstado = '$cliente_direstado',
				cliente_dirdistrito = '$cliente_dirdistrito',				
				cliente_dirccalle = '$cliente_dirccalle',
				cliente_dircciudad = '$cliente_dircciudad',
				cliente_dircestado = '$cliente_dircestado',
				cliente_dircdistrito = '$cliente_dircdistrito',				
				cliente_comentarios = '$cliente_comentarios',				
				banco_id = '$cliente_banco',
				cliente_nrobanco = '$cliente_nrobanco',
				cliente_cuenta = '$cliente_cuenta',
				cliente_dirbarrio = '$cliente_dirbarrio',
				cliente_dircep = '$cliente_dircep',
				cliente_dircbarrio = '$cliente_dircbarrio',
				cliente_dirccep = '$cliente_dirccep',
				cliente_dirnro = '$cliente_dirnro',
				cliente_dircnro = '$cliente_dircnro',
				cliente_dircompl = '$cliente_dircompl',
				cliente_dirccompl = '$cliente_dirccompl',				
				dirresponsable_id  = '$cliente_dirccep'
				
				
				", "cliente_id=$cliente_id");
		if ($resultado){
			
			if ($contacto_nombre!="" && $contacto_telf!=""){
				$resultado = $conexion->doInsert("
				contacto
				(contacto_nombre, contacto_telf, contacto_cell,
				contacto_email,
				contacto_fecha,
				contacto_tablaidref, tablacontacto_id, contacto_activo)
			",
				"'$contacto_nombre','$contacto_telf','$contacto_cel',
				'$contacto_email',
				'$fechaactual',
				'$cliente_id','2','1'");
			}
			
			$texresp ="Modificado corretamente Cliente";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location.reload();");
			return $objResponse;
		}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Cliente , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarcliente($id, $estatus){
	$objResponse = new xajaxResponse();


	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("cliente", "cliente_activo = '0'", "cliente_id=$id");
	if ($resultado){
		$texresp ="Removido com sucesso Cliente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'cliente.php';");

	}
	else{
		$texresp ="Erro Eliminando Cliente , tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'cliente.php';");
	}
	return $objResponse;
}


function ingresarusuario($usuario, $password){
	$objResponse = new xajaxResponse();

	if ($usuario == "admlen" && $password == "adm_24"){		
		session_start();
		$_SESSION["iniuser"] = $usuario;
		$verificarsesion = verificarsesion();
		
		$texresp ="Bem-vindo ao sistema";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'funcionario.php';");

	}
	else{
		$texresp ="Erro O nome de usuário e senha estão incorretos tente novamente";
		$objResponse->addAlert($texresp);
		
	}
	return $objResponse;
}


function registrargrupocli($grupocli_nombre, $grupocli_id, $grupocli_sigla){
	$objResponse = new xajaxResponse();
	
	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");	
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$nombre = utf8_decode($grupocli_nombre);

	if ($grupocli_id==""){//Registrar

		$resultado = $conexion->doInsert("grupocliente (grupocli_nombre, grupocli_activo, grupocli_sigla)",
				"'$nombre','1', '$grupocli_sigla'");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Grupo de Clientes";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'grupocliente.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("grupocliente",
			"grupocli_nombre = '$nombre',
			grupocli_sigla = '$grupocli_sigla'
			", "grupocli_id=$grupocli_id");
			if ($resultado){
				$texresp ="Modificado corretamente Grupo de Clientes";
				$objResponse->addAlert($texresp);
				$objResponse->addScript("window.location = 'grupocliente.php';");
				return $objResponse;
			}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar Client Group , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminargrupocli($id, $estatus){
	$objResponse = new xajaxResponse();
	
	
	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("grupocliente", "grupocli_activo = '0'", "grupocli_id=$id");
		if ($resultado){
		$texresp ="Removido com sucesso Grupo de Clientes";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'grupocliente.php';");

	}
	else{
	$texresp ="Erro Eliminando Grupode Cliente , tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'grupocliente.php';");
	}
	return $objResponse;
}


function registrarcargo($cargo_nombre, $cargo_id, $dpto_id){
	$objResponse = new xajaxResponse();

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$nombre = utf8_decode($cargo_nombre);

	if ($cargo_id==""){//Registrar

		$resultado = $conexion->doInsert("cargo (cargo_nombre, cargo_activo, dpto_id)",
				"'$nombre','1', '$dpto_id'");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Cargo";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'cargo.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("cargo",
				"cargo_nombre = '$nombre',
					dpto_id = '$dpto_id'
				", "cargo_id=$cargo_id");
				if ($resultado){
					$texresp ="Modificado corretamente Cargo";
					$objResponse->addAlert($texresp);
					$objResponse->addScript("window.location = 'cargo.php';");
					return $objResponse;
				}
	}

	if ($resultado==false){
		$texresp =" Erro ao tentar adicionar ou modificar a carga , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		return $objResponse;
	}

	return $objResponse;
}


function eliminarcargo($id, $estatus){
	$objResponse = new xajaxResponse();
	
	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("cargo", "cargo_activo = '0'", "cargo_id=$id");
		if ($resultado){
		$texresp ="Carga removido com sucesso";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'cargo.php';");

	}
	else{
	$texresp ="Erro Eliminando Cargo, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'cargo.php';");
	}
	return $objResponse;
}

function registrardpto($dpto_nombre, $dpto_id){
	$objResponse = new xajaxResponse();

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$nombre = utf8_decode($dpto_nombre);
	
	if ($dpto_id==""){//Registrar

		$resultado = $conexion->doInsert("departamento (dpto_nombre, dpto_activo)",
				"'$nombre','1'");
		if ($resultado){
			$texresp ="Adicionado com sucesso el Departamento";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'dpto.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("departamento",
				"dpto_nombre = '$nombre'				
				", "dpto_id=$dpto_id");
			if ($resultado){
				$texresp ="Modificado corretamente Departamento";
				$objResponse->addAlert($texresp);
				$objResponse->addScript("window.location = 'dpto.php';");
				return $objResponse;
			}
	}

	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar o Departamento , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);		
		return $objResponse;
	}

	return $objResponse;
}


function eliminardpto($id, $estatus){
	$objResponse = new xajaxResponse();
	
	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}	
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("departamento", "dpto_activo = '0'", "dpto_id=$id");
	if ($resultado){
		$texresp ="Departamento removido com sucesso";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'dpto.php';");
	
	}
	else{
		$texresp ="Erro Eliminando o Departamento, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'dpto.php';");
	}
	return $objResponse;
}

function registrarfuncionario($persempre_id, $personal_nombre, $personal_alias, $personal_fechanac, $estadocivil_id, 
			$personal_conyuge, $personal_ninos, $personal_direccion, $personal_telf, $personal_cell, 
			$personal_email, $personal_rg, $personal_cpf, $personal_perscontacto,
			$dpto_id, $cargo_id, $persprof_fechaadm, $persprof_fechasal, $persprof_docum, 
			$persprof_pis, $horario_id, $persprof_remuner, $persprof_valorhora, $persprof_bancoagen, $persprof_vr, $persprof_vt,
			$estatus_id, $nivel_id, $persempre_email, $persempre_user, $persempre_pass,
			$persempre_llave, $persempre_alarma, $persempre_estac, $personal_user, $personal_pass, 
			$personal_orgemisor, $personal_telfcontacto,$personal_parentesco, 
			$personal_dirnumero, $personal_dircompl, $personal_dirbarrio, $personal_dirciudad, $personal_direstado, $personal_dircep, 
			$persprof_vrvalor, $persprof_vtvalor){
	$objResponse = new xajaxResponse();
	
	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	
	$persprof_vrvalor = utf8_decode($persprof_vrvalor);
	$persprof_vtvalor = utf8_decode($persprof_vtvalor);
	
	
	$personal_nombre = utf8_decode($personal_nombre);	
	$personal_alias = utf8_decode($personal_alias);
	$personal_conyuge = utf8_decode($personal_conyuge);
	$personal_ninos = utf8_decode($personal_ninos);
	$personal_direccion = utf8_decode($personal_direccion);
	$personal_telf = utf8_decode($personal_telf);
	$personal_cell = utf8_decode($personal_cell);
	$persprof_docum = utf8_decode($persprof_docum);
	$persprof_pis = utf8_decode($persprof_pis);
	$persprof_remuner = utf8_decode($persprof_remuner);
	$persprof_valorhora = utf8_decode($persprof_valorhora);
	$persprof_bancoagen = utf8_decode($persprof_bancoagen);
	$persprof_vr = utf8_decode($persprof_vr);
	$persprof_vt = utf8_decode($persprof_vt);
	$persempre_user = utf8_decode($persempre_user);
	$persempre_llave = utf8_decode($persempre_llave);
	$persempre_alarma = utf8_decode($persempre_alarma);
	$persempre_estac = utf8_decode($persempre_estac);	
	$personal_user = utf8_decode($personal_user);
	$personal_pass = utf8_decode($personal_pass);
	
	$personal_orgemisor = utf8_decode($personal_orgemisor);
	$personal_telfcontacto = utf8_decode($personal_telfcontacto);
	$personal_parentesco = utf8_decode($personal_parentesco);

	$personal_dirnumero = utf8_decode($personal_dirnumero);
	$personal_dircompl = utf8_decode($personal_dircompl);
	$personal_dirbarrio = utf8_decode($personal_dirbarrio);
	$personal_dirciudad = utf8_decode($personal_dirciudad);
	$personal_direstado = utf8_decode($personal_direstado);
	$personal_dircep = utf8_decode($personal_dircep);
	
	
	$dia = substr($persprof_fechaadm,0,2);
	$mes = substr($persprof_fechaadm,3,2);
	$ano = substr($persprof_fechaadm,6,4);
	$persprof_fechaadm = $ano."-".$mes."-".$dia;
	
	$dia = substr($persprof_fechasal,0,2);
	$mes = substr($persprof_fechasal,3,2);
	$ano = substr($persprof_fechasal,6,4);
	$persprof_fechasal = $ano."-".$mes."-".$dia;
	
	$dia = substr($personal_fechanac,0,2);
	$mes = substr($personal_fechanac,3,2);
	$ano = substr($personal_fechanac,6,4);
	$personal_fechanac = $ano."-".$mes."-".$dia;

	$conexion = new ConexionBd();
	
	if ($persempre_id==""){//Registrar
		
		$resultado = $conexion->doInsert("
			personal_empresa
			(estatus_id, nivel_id, persempre_email, persempre_user, 
			persempre_pass, persempre_llave, persempre_alarma, persempre_estac, persempre_activo )",
			"
			'1','$nivel_id','$persempre_email',	'$persempre_user',
			'$persempre_pass','$persempre_llave','$persempre_alarma','$persempre_estac','1'");
			
			if ($resultado){
				$arrresultado55 = $conexion->doSelect("max(persempre_id) as maxpersempre_id",
						"personal_empresa");					
				if (count($arrresultado55)>0){
					foreach($arrresultado55 as $i=>$valor){
						$maxpersempre_id = strtoupper($valor["maxpersempre_id"]);
					}
				}

				$resultado = $conexion->doInsert("
					personal
					(personal_nombre, personal_alias, personal_fechanac, estadocivil_id, 
					personal_conyuge, personal_ninos, personal_direccion, personal_telf, 
					personal_cell, personal_email, personal_rg, personal_cpf, personal_perscontacto, persempre_id, 
					personal_user, personal_pass, personal_orgemisor, personal_telfcontacto,personal_parentesco, 
					personal_dirnumero, personal_dircompl, personal_dirbarrio, personal_dirciudad, personal_direstado, personal_dircep) 						
						",
					"'$personal_nombre','$personal_alias','$personal_fechanac',	'$estadocivil_id',
					'$personal_conyuge','$personal_ninos','$personal_direccion','$personal_telf',
					'$personal_cell','$personal_email','$personal_rg','$personal_cpf','$personal_perscontacto', '$maxpersempre_id',
					'$personal_user','$personal_pass','$personal_orgemisor','$personal_telfcontacto','$personal_parentesco',
				    '$personal_dirnumero','$personal_dircompl','$personal_dirbarrio','$personal_dirciudad','$personal_direstado','$personal_dircep'");			
			
				if ($resultado){
					$resultado = $conexion->doInsert("
						personal_profes
						(dpto_id, cargo_id, persprof_fechaadm, persprof_fechasal, 
						persprof_docum, persprof_pis, horario_id, persprof_remuner, 
						persprof_valorhora, persprof_bancoagen, persprof_vr, persprof_vt, persempre_id,  persprof_vrvalor, persprof_vtvalor) 							 						
						",
						"'$dpto_id','$cargo_id','$persprof_fechaadm','$persprof_fechasal',
						'$persprof_docum','$persprof_pis','$horario_id', '$persprof_remuner',
						'$persprof_valorhora','$persprof_bancoagen','$persprof_vr','$persprof_vt','$maxpersempre_id','$persprof_vrvalor','$persprof_vtvalor'");
				}
		
		
			$texresp ="Adicionado com sucesso el Funcionario";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'funcionario.php';");
			return $objResponse;
		}
	}else{
		$resultado = $conexion->doUpdate("personal_empresa", 
		"
			estatus_id = '$estatus_id',
			nivel_id = '$nivel_id',				
			persempre_email = '$persempre_email',
			persempre_user = '$persempre_user',
			persempre_pass = '$persempre_pass',
			persempre_llave = '$persempre_llave',
			persempre_alarma = '$persempre_alarma',
			persempre_estac = '$persempre_estac'
				
		", "persempre_id=$persempre_id");
		if ($resultado){
			
			$resultado = $conexion->doUpdate("personal","
					personal_nombre = '$personal_nombre', 
					personal_alias = '$personal_alias', 
					personal_fechanac = '$personal_fechanac',
					estadocivil_id = '$estadocivil_id',
					personal_conyuge = '$personal_conyuge',
					personal_ninos = '$personal_ninos',
					personal_direccion = '$personal_direccion',
					personal_telf = '$personal_telf',
					personal_cell = '$personal_cell',
					personal_email = '$personal_email',
					personal_rg = '$personal_rg',
					personal_cpf = '$personal_cpf',
					personal_perscontacto = '$personal_perscontacto',
					personal_user = '$personal_user',
					personal_pass = '$personal_pass',
					personal_orgemisor = '$personal_orgemisor',
					personal_telfcontacto = '$personal_telfcontacto',
					personal_parentesco = '$personal_parentesco',
					personal_dirnumero = '$personal_dirnumero',
					personal_dircompl = '$personal_dircompl',
					personal_dirbarrio = '$personal_dirbarrio',
					personal_dirciudad = '$personal_dirciudad',
					personal_direstado = '$personal_direstado',
					personal_dircep	 = '$personal_dircep'
				", "persempre_id=$persempre_id");
			
			$resultado = $conexion->doUpdate("personal_profes","						
					dpto_id = '$dpto_id',
					cargo_id = '$cargo_id', 
					persprof_fechaadm = '$persprof_fechaadm',
					persprof_fechasal = '$persprof_fechasal',
					persprof_docum = '$persprof_docum',
					persprof_pis = '$persprof_pis',
					horario_id = '$horario_id',
					persprof_remuner = '$persprof_remuner',
					persprof_valorhora = '$persprof_valorhora',
					persprof_bancoagen = '$persprof_bancoagen',
					persprof_vr = '$persprof_vr',
					persprof_vt  = '$persprof_vt',
					persprof_vrvalor = '$persprof_vrvalor',
					persprof_vtvalor = '$persprof_vtvalor'
				", "persempre_id=$persempre_id");			
			
			$texresp ="Modificado corretamente Funcionario";
			$objResponse->addAlert($texresp);
			$objResponse->addScript("window.location = 'funcionario.php';");
			return $objResponse;
		}
	}	
	
	if ($resultado==false){
		$texresp ="Erro ao tentar adicionar ou modificar o oficial , verifique os dados e tente novamente";
		$objResponse->addAlert($texresp);
		//$objResponse->addScript("window.location = 'funcionario.php';");
		return $objResponse;
		
	}
		
	return $objResponse;
}


function eliminarfuncionario($id, $estatus){
	$objResponse = new xajaxResponse();

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("personal_empresa", "persempre_activo = '0', estatus_id = '2'", "persempre_id=$id");	
	if ($resultado){
		$texresp ="Funcionario removido com sucesso";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'funcionario.php';");

	}
	else{
		$texresp ="Erro Eliminando Funcionario, tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'funcionario.php';");
	}
	return $objResponse;
}

function cambiarestatusfuncionario($id, $estatus){
	$objResponse = new xajaxResponse();

	$verificarsesion = verificarsesion();
	if ($verificarsesion==false){
		$objResponse->addAlert("Sessão expirou , por favor acessar novamente");
		$objResponse->addScript("window.location = 'index.php';");
		return $objResponse;
	}
	$conexion = new ConexionBd();
	$resultado = $conexion->doUpdate("personal_empresa", "estatus_id = '$estatus'", "persempre_id=$id");
	if ($resultado){
		$texresp ="Situacion alterado corretamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'funcionario.php';");

	}
	else{
		$texresp ="Alterar o status de erro , tente novamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'funcionario.php';");
	}
	return $objResponse;
}


$xajax->processRequests();
?>