<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="robots" content="all,follow">
    <meta name="googlebot" content="index,follow,snippet,archive">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Amoblamientos Capri. Muebles estilo Campo y Muebles Rusticos, en madera, mimbre y rattan. Mesas, Sillas, Futtones, Mesas de Pc">
    <meta name="author" content="Amoblamientos Capri">
    <meta name="keywords" content="amoblamientos capri, muebles estilo campo, muebles rusticos, muebles, sillas, mesa">
    <title>Dirección de Envío - Amoblamientos Capri</title>    
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,500,700,300,100' rel='stylesheet' type='text/css'>

    <link href="css/font-awesome.css" rel="stylesheet">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/animate.min.css" rel="stylesheet">
    <link href="css/owl.carousel.css" rel="stylesheet">
    <link href="css/owl.theme.css" rel="stylesheet">

    <link href="css/style.default.css" rel="stylesheet" id="theme-stylesheet">

    <link href="css/custom.css" rel="stylesheet">
    <script src="js/respond.min.js"></script>

  	<link rel="shortcut icon" href="img/logicon.ico" type="image/x-icon">
	<link rel="icon" href="img/logicon.ico" type="image/x-icon">

</head>

<body>
    <div id="top">
        <div class="container">
            <div class="col-md-6 offer" data-animate="fadeInDown">        
            </div>
            <div class="col-md-6" data-animate="fadeInDown">
                <ul class="menu">
                    <li><a href="tel:01147410494" data-animate-hover="shake"><i class="fa fa-phone-square "></i>(011) 4741-0494</a>
                    </li>
                    <li><a href="mailto:amoblamientoscapri@gmail.com" data-animate-hover="shake"><i class="fa fa-phone-square "></i>amoblamientoscapri@gmail.com</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div class="navbar navbar-default yamm" role="navigation" id="navbar">
        <div class="container">
            <div class="navbar-header">
                <a class="navbar-brand home" href="#" data-animate-hover="bounce">
                    <img src="img/logo.png" alt="Amoblamientos Capri logo" class="hidden-xs" style="height: 63px">
                    <img src="img/logo.png" alt="Amoblamientos Capri logo" class="visible-xs"><span class="sr-only">Capri - go to homepage</span>
                </a>                
            </div>
            <div class="navbar-collapse collapse" id="navigation">
                <ul class="nav navbar-nav navbar-left">
                    <li>
                    	<a href="index.php">Inicio</a>
                    </li>
                    <li>
                    	<a href="quienessomos.php">Quienes Somos</a>
                    </li>
                    <li class="dropdown yamm-fw active">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-delay="200">Productos <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            <li>
                                <div class="yamm-content">
                                    <div class="row">
                                    	<div class="col-sm-1">
                                    	</div>
                                        <div class="col-sm-2">
                                            <h5><a href="categoria.php">Living</a></h5>
                                            <ul>
                                                <li>
                                                	<a href="productos.php">Futones/ Sillones</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Mesas Ratonas</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Mesas de TV*</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Sillones de Rattan y SeaGrass</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Sillones en Mimbre</a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="col-sm-2">
                                            <h5><a href="categoria.php">Dormitorio </a></h5>
                                            <ul>
                                                <li>
                                                	<a href="productos.php">Camas</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Mesas de luz </a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Escritorios – PC</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Espejos</a>
                                                </li>                                               
                                            </ul>
                                        </div>
                                        <div class="col-sm-2">
                                            <h5><a href="categoria.php">Comedor </a></h5>
                                            <ul>
                                                <li>
                                                	<a href="productos.php">Mesas </a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Mesas para exterior</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Sillas / Sillones</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Bancos</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Modulares</a>
                                                </li>
                                            </ul>
                                        </div>
                                        <div class="col-sm-2">
                                            <h5><a href="categoria.php">Exterior </a></h5>
                                            <ul>
                                                <li>
                                                	<a href="productos.php">Mesas Para exterior</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">SIllones para jardin</a>
                                                </li>                                                
                                            </ul>
                                        </div> 
                                        <div class="col-sm-2">
                                            <h5><a href="categoria.php">Accesorios </a> </h5>
                                            <ul>
                                                <li>
                                                	<a href="productos.php">Alfombras</a>
                                                </li>
                                                <li>
                                                	<a href="productos.php">Percheros</a>
                                                </li>                                                
                                            </ul>
                                        </div>                                                                               
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </li>
                    <li>
                    	<a href="novedades.php">Novedades</a>
                    </li>
                    <li>
                    	<a href="importacion.php">Importación</a>
                    </li>
                    <li>
                    	<a href="contacto.php">Contacto</a>
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <div id="all">
        <div id="content">
            <div class="container">
                
               	<div class="row">
               		<div class="col-md-9" id="checkout">

                    <div class="box">
                        <form method="post" action="metododepago.php">
                            <h1>Orden</h1>
                            <ul class="nav nav-pills nav-justified">
                                <li class="active"><a href="direccionenvio.php"><i class="fa fa-map-marker"></i><br>Dirección</a>
                                </li>                                
                                <li><a href="metododepago.php"><i class="fa fa-money"></i><br>Método de Pago</a>
                                </li>
                                <li><a href="orden.php"><i class="fa fa-eye"></i><br>Orden</a>
                                </li>
                            </ul>

                            <div class="content">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="firstname">Nombre</label>
                                            <input type="text" class="form-control" id="firstname">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="lastname">Apellido</label>
                                            <input type="text" class="form-control" id="lastname">
                                        </div>
                                    </div>
                                </div>
                                <!-- /.row -->

                                <div class="row">                                   
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="street">Direccion</label>
                                            <input type="text" class="form-control" id="street">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="zip">Cod Postal</label>
                                            <input type="text" class="form-control" id="zip">
                                        </div>
                                    </div>
                                </div>
                                <!-- /.row -->

                                <div class="row">                                    
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="country">Pais</label>
                                            <input type="text" class="form-control" id="zip">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="state">Estado</label>
                                            <input type="text" class="form-control" id="zip">
                                        </div>
                                    </div>
                                    

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="phone">Telefono</label>
                                            <input type="text" class="form-control" id="phone">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label for="email">Email</label>
                                            <input type="text" class="form-control" id="email">
                                        </div>
                                    </div>

                                </div>
                                <!-- /.row -->
                            </div>

                            <div class="box-footer">
                                <div class="pull-left">
                                    <a href="ordenar.php" class="btn btn-default"><i class="fa fa-chevron-left"></i>Regresar</a>
                                </div>
                                <div class="pull-right">
                                    <button type="submit" class="btn btn-primary">Continuar a Metodo de Pago<i class="fa fa-chevron-right"></i>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <!-- /.box -->


                </div>
                <!-- /.col-md-9 -->

                <div class="col-md-3">

                    <div class="box" id="order-summary">
                                               

                        <div class="table-responsive">                        	 
                        	<h3>Resumen de la Orden</h3>
                            <table class="table">
                                <tbody>
                                    <tr>
                                        <th>Producto</th>
                                        <th>Total</th>
                                    </tr>
                                    <tr>
                                        <td>Modular</td>
                                        <td>$5.470.00</td>
                                    </tr>                                    
                                    <tr class="total">
                                        <td>Total</td>
                                        <th>$5.470.00</th>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                    </div>

                </div>
	                <!-- /.col-md-9 -->
		                              
              	</div>
            </div>
        </div>
        <div id="footer" data-animate="fadeInUp">
            <div class="container">
                <div class="row">
                    <div class="col-md-3 col-sm-6">
                        <h4>Enlaces</h4>
                        <ul>
                            <li><a href="index.php">Inicio</a>
                            </li>
                            <li><a href="quienessomos.php">Quienes Somos</a>
                            </li>
                            <li><a href="contacto.php">Contacto</a>
                            </li>
                        </ul>
                    </div>
                    <!-- /.col-md-3 -->

                    <div class="col-md-3 col-sm-6">

                        <h4>Productos</h4>
                        <ul>
                            <li><a href="productos.php">Living</a>
                            </li>
                            <li><a href="productos.php">Dormitorio</a>
                            </li>
                            <li><a href="productos.php">Comedor</a>
                            </li>
                            <li><a href="productos.php">Exterior</a>
                            </li>
                            <li><a href="productos.php">Accesorios</a>
                            </li>                            
                        </ul>
                    </div>
                    <div class="col-md-3 col-sm-6">

                        <h4>Donde nos encontramos</h4>

                        <p style="font-size: 16px">
                            Av Marcelo T. de Alvear(Ruta 202) 
								nº999 - Don Torcuato - Tigre 
								Prov. de Bs. As                            
                        </p>
                        <a href="contacto.php" style="font-size: 17px">Ir a contáctenos</a>
                    </div>
                    <div class="col-md-3 col-sm-6">

                        <h4>Boletín de Noticias</h4>

                        <p class="text-muted" style="font-size: 16px; color: #333333">
                        	Sumínistrenos su correo para registrarse en nuestro boletín
                        </p>

                        <form>
                            <div class="input-group">
                                <input type="text" class="form-control">
                                <span class="input-group-btn">
								    <button class="btn btn-default" type="button">Suscribirse</button>
								</span>
                            </div>
                        </form>
                        <hr>
                        <h4>Síguenos</h4>

                        <p class="social">
                            <a href="http://www.facebook.com" class="facebook external" data-animate-hover="shake" target="_blank"><i class="fa fa-facebook"></i></a>
                            <a href="http://www.twitter.com"class="twitter external" data-animate-hover="shake" target="_blank"><i class="fa fa-twitter"></i></a>
                            <a href="http://www.instagram.com" class="instagram external" data-animate-hover="shake" target="_blank"><i class="fa fa-instagram"></i></a>                            
                        </p>


                    </div>
                    <!-- /.col-md-3 -->

                </div>
                <!-- /.row -->

            </div>
            <!-- /.container -->
        </div>
        <div id="copyright">
            <div class="container">
                <div class="col-md-12">
                    <p style="text-align: center">© 2016 Amoblamientos Capri</p>
                </div>
            </div>
        </div>

    </div>
    
    <script src="js/jquery-1.11.0.min.js"></script>    
    <script src="rrssb-master/rrssb-master/js/rrssb.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.cookie.js"></script>
    <script src="js/waypoints.min.js"></script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap-hover-dropdown.js"></script>
    <script src="js/owl.carousel.min.js"></script>
    <script src="js/front.js"></script>


</body>
</html>