<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/base.php';

$base = base();

$conexion = new ConexionBd();
$arrresultado = $conexion->doSelect("plan_id, plan_nombre, plan_img, plan_orden, plan_precio,  
plan_fechareg, plan_activo, plan_eliminado, usuario_idreg, plan_dias",
  "plan
  ",
  "plan_activo = '1'", null, "plan_orden  asc");
foreach($arrresultado as $i=>$valor){

  $plan_id = utf8_encode($valor["plan_id"]);
  $plan_nombre = utf8_encode($valor["plan_nombre"]);
  $plan_img = utf8_encode($valor["plan_img"]);
  $plan_orden = utf8_encode($valor["plan_orden"]);
  $plan_precio = utf8_encode($valor["plan_precio"]);  
  $plan_fechareg = utf8_encode($valor["plan_fechareg"]);
  $plan_activo = utf8_encode($valor["plan_activo"]);

  $plandetallehtml= "";

  $arrresultado2 = $conexion->doSelect("plandetalle_id, plandetalle_nombre, plandetalle_orden, plandetalle.plan_id, plandetalle_activo, plandetalle_eliminado, plandetalle_fechareg, plan_nombre",
    "plandetalle
      inner join plan on plandetalle.plan_id = plan.plan_id
    ",
    "plandetalle_activo = '1' and plandetalle.plan_id = '$plan_id'", null, "plandetalle_orden  asc");
  foreach($arrresultado2 as $n=>$valor2){

    $plandetalle_id = utf8_encode($valor2["plandetalle_id"]);
    $plandetalle_nombre = utf8_encode($valor2["plandetalle_nombre"]);
    $plandetalle_orden = utf8_encode($valor2["plandetalle_orden"]);
    $t_plan_id = utf8_encode($valor2["plan_id"]);
    $plandetalle_activo = utf8_encode($valor2["plandetalle_activo"]);
    $plan_nombre = utf8_encode($valor2["plan_nombre"]);

    $plandetallehtml .= "
        <li>$plandetalle_nombre</li>
    ";

  }


  if ($plan_precio==""){$plan_precio=0;}

  $plan_precio = number_format($plan_precio,2,",",".");

  $planeshtml = "
        <li>
            <div class='ereaders-priceplan-wrap'>
                <a href='seleccionar-forma-de-pago?id=$plan_id'>
                  <center>
                      <img src='arch/$plan_img' class='img-responsive' style='height:80px' />
                  </center>
                  <h5 class='ereaders-bgcolor'>$plan_nombre</h5>
                </a>
                <div class='ereaders-priceplan-heading'><h2><small>$</small>$plan_precio</h2></div>
                <div class='ereaders-priceplan-list'>
                    <ul>
                        $plandetallehtml
                    </ul>
                    <a href='seleccionar-forma-de-pago?id=$plan_id' class='ereaders-simple-btn ereaders-bgcolor'>Adquirir</a>
                </div>
            </div>
        </li>
      ";


 }


?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php echo $base; ?>
	 <meta charset="utf-8">
	 <meta http-equiv="X-UA-Compatible" content="IE=edge">
	 <meta name="viewport" content="width=device-width, initial-scale=1">
	 <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	 <title>Membresías - Jurídica Tributaria</title>

	 <!-- Css Files -->
	 <link href="css/bootstrap.css" rel="stylesheet">
	 <link href="css/font-awesome.css" rel="stylesheet">
	 <link href="css/flaticon.css" rel="stylesheet">
	 <link href="css/slick-slider.css" rel="stylesheet">
	 <link href="css/fancybox.css" rel="stylesheet">
	 <link href="style.css" rel="stylesheet">
	 <link href="css/color.css" rel="stylesheet">
	 <link href="css/responsive.css" rel="stylesheet">
	 <link href="images/logicon.png" rel="icon">
	 

	 <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	 <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	 <!--[if lt IE 9]>
		 <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		 <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	 <![endif]-->
	</head>
	<body>
	 
	 <!--// Main Wrapper \\-->
	 <div class="ereaders-main-wrapper">

	<?php include_once "header.php"; ?>

    <!--// SubHeader \\-->
    <div class="ereaders-subheader">
        <div class="ereaders-subheader-text">
            <span class="ereaders-subheader-transparent"></span>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h1>Membresías</h1>
                        <p>
                            Te presentamos las siguientes membresías que tenemos para ti para tener uso completo del portal web y acceso a todas las leyes y articulos
                        </p>
                    </div>
                </div>
            </div>
        </div>       
    </div>
	<!--// Header \\-->

        <!--// Main Content \\-->
        <div class="ereaders-main-content">
            <!--// Main Section \\-->
            <div class="ereaders-main-section ereaders-pricingplanfull">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">                            
                            <div class="ereaders-priceplan">
                                <ul>
                                    <?php echo $planeshtml;?>                                   
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <!--// Main Content \\-->

	<?php include_once "footer.php"; ?>

	<div class="clearfix"></div>

	</div>
	<!--// Main Wrapper \\-->

	 <!-- jQuery (necessary for JavaScript plugins) -->
	 <script type="text/javascript" src="script/jquery.js"></script>
	 <script type="text/javascript" src="script/jquery-ui.js"></script>
	 <script type="text/javascript" src="script/bootstrap.min.js"></script>
	 <script type="text/javascript" src="script/slick.slider.min.js"></script>
	 <script type="text/javascript" src="script/fancybox.pack.js"></script>
	 <script type="text/javascript" src="script/isotope.min.js"></script>
	 <script type="text/javascript" src="script/progressbar.js"></script>
	 <script type="text/javascript" src="script/jquery.countdown.min.js"></script>
	 <script type="text/javascript" src="script/circle-chart.js"></script>
	 <script type="text/javascript" src="script/numscroller.js"></script>	 
	 <script type="text/javascript" src="script/functions.js"></script>

	</body>
</html>