<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/base.php';

$xajax = new xajax('lib/ajx_fnci.php');
$xajax->registerFunction('eliminarusuariofavoritoley');
session_start();
$xajax->printJavascript('lib/');


$base = base();

session_start();
$iniuser = $_SESSION['iniuser'];
$login = $_SESSION['login'];
$perfil = $_SESSION['perfil'];

if ($iniuser==""){
  echo "<script language='JavaScript'>window.location = 'iniciar-sesion'; </script>";
  exit();
}

$conexion = new ConexionBd();

$arrresultado = $conexion->doSelect("usuarioleyfav_id, usuario_leyfavorito.ley_id, usuario_leyfavorito.usuario_id,
DATE_FORMAT(usuarioleyfav_fechareg,'%d/%m/%Y %H:%i:%s') as usuarioleyfav_fechareg,
ley_nombre, seccion_nombre, ley_url
",
	"usuario_leyfavorito
		inner join ley on usuario_leyfavorito.ley_id = ley.ley_id
		inner join seccion on ley.seccion_id = seccion.seccion_id
	",
	"usuarioleyfav_activo = '1' and usuario_leyfavorito.usuario_id = '$iniuser' ");
foreach($arrresultado as $i=>$valor){
	$fav_usuarioleyfav_id = utf8_encode($valor["usuarioleyfav_id"]);
	$fav_usuarioleyfav_fechareg = utf8_encode($valor["usuarioleyfav_fechareg"]);

	$fav_ley_nombre = utf8_encode($valor["ley_nombre"]);
	$fav_seccion_nombre = utf8_encode($valor["seccion_nombre"]);
	$fav_ley_id = utf8_encode($valor["ley_id"]);
	$fav_ley_url = utf8_encode($valor["ley_url"]);

	$fav_ley_nombre  ="<a href='ref/$fav_ley_id/$fav_ley_url'  style='text-decoration: underline'>$fav_ley_nombre</a>";

	$accioneliminar = "<img onclick='eliminarusuariofavoritoley(\"".$fav_usuarioleyfav_id."\",0)' title='Eliminar?' style='cursor:pointer' src='images/delete.png'>";
	
	$listafavoritos .="
		<tr>
			<td>$fav_ley_nombre</td>
			<td>$fav_usuarioleyfav_fechareg</td>
			<td>$accioneliminar</td>
		</tr>
	";
}

if ($listafavoritos==""){
	$listafavoritos .="
		<tr>
			<td colspan='3'>No tienes referencias agregadas como favoritos</td>			
		</tr>
	";
}


?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php echo $base; ?>
	 <meta charset="utf-8">
	 <meta http-equiv="X-UA-Compatible" content="IE=edge">
	 <meta name="viewport" content="width=device-width, initial-scale=1">
	 <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	 <title>Panel Favoritos - Jurídica Tributaria</title>

	 <!-- Css Files -->
	 <link href="css/bootstrap.css" rel="stylesheet">
	 <link href="css/font-awesome.css" rel="stylesheet">
	 <link href="css/flaticon.css" rel="stylesheet">
	 <link href="css/slick-slider.css" rel="stylesheet">
	 <link href="css/fancybox.css" rel="stylesheet">
	 <link href="style.css" rel="stylesheet">
	 <link href="css/color.css" rel="stylesheet">
	 <link href="css/responsive.css" rel="stylesheet">
	 <link href="images/logicon.png" rel="icon">
	 

	 <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	 <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	 <!--[if lt IE 9]>
		 <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		 <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	 <![endif]-->
	</head>
	<body>
	 
	 <!--// Main Wrapper \\-->
	 <div class="ereaders-main-wrapper">

	<?php include_once "header.php"; ?>

    <!--// Main Content \\-->
    <div class="ereaders-main-content">
        <!--// Main Section \\-->
        <div class="ereaders-main-section ereaders-author-detailfull">
            <div class="container">
                <div class="row">
                    <aside class="col-md-4">
                        <?php include_once "panel-sidebar.php"; ?>                                              
                    </aside>
                    <div class="col-md-8">                        
                        <div class="row">
                            <div class="col-md-6" style="margin-top: 15px">
                                <h3><i class="fa fa-heart"></i> Mis Favoritos</h3>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12" style="margin-top: 15px">
                                <div class="table-responsive">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>Seccion</th>
                                                <th>Fecha Agregado</th>
                                                <th>Acciones</th>
                                            </tr>
                                        </thead>
										<tbody>
                                            <?php echo $listafavoritos; ?>
										</tbody>										
                                    </table>
                                </div>     
                            </div>                            
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <!--// Main Section \\-->

    </div>
    <!--// Main Content \\-->

	<?php include_once "footer.php"; ?>

	<div class="clearfix"></div>

	</div>
	<!--// Main Wrapper \\-->

	 <!-- jQuery (necessary for JavaScript plugins) -->
	 <script type="text/javascript" src="script/jquery.js"></script>
	 <script type="text/javascript" src="script/jquery-ui.js"></script>
	 <script type="text/javascript" src="script/bootstrap.min.js"></script>
	 <script type="text/javascript" src="script/slick.slider.min.js"></script>
	 <script type="text/javascript" src="script/fancybox.pack.js"></script>
	 <script type="text/javascript" src="script/isotope.min.js"></script>
	 <script type="text/javascript" src="script/progressbar.js"></script>
	 <script type="text/javascript" src="script/jquery.countdown.min.js"></script>
	 <script type="text/javascript" src="script/circle-chart.js"></script>
	 <script type="text/javascript" src="script/numscroller.js"></script>	 
	 <script type="text/javascript" src="script/functions.js"></script>

	</body>
</html>