<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/base.php';

$base = base();

session_start();
$iniuser = $_SESSION['iniuser'];
$login = $_SESSION['login'];
$perfil = $_SESSION['perfil'];

if ($iniuser==""){
  echo "<script language='JavaScript'>window.location = 'iniciar-sesion'; </script>";
  exit();
}

$conexion = new ConexionBd();

$arrresultado = $conexion->doSelect("
    pago.trans_id, pago.pago_id, pago.formapago_id, pago_comentario, 
    pago.usuario_id, pago.estatus_id, pago_referencia, pago_banco, pago_monto, pago.usuario_idreg, pago_img,
    DATE_FORMAT(pago_fecha,'%d/%m/%Y') as pago_fecha, 
    DATE_FORMAT(pago_fechareg,'%d/%m/%Y %H:%i:%s') as pago_fechareg, 
    formapago_nombre, usuario_nombre, usuario_apellido, estatus_nombre, plan_nombre, 
    pago_activo
      ",
      "
     pago 
          inner join transaccion on pago.trans_id = transaccion.trans_id    
          inner join usuario on pago.usuario_id = usuario.usuario_id
          inner join estatus on pago.estatus_id = estatus.estatus_id
          inner join plan on transaccion.plan_id = plan.plan_id
          inner join formapago on formapago.formapago_id = pago.formapago_id
      ",
      "pago_eliminado = '0' and pago.usuario_id = '$iniuser' ", null, "pago.pago_id  asc");
  foreach($arrresultado as $i=>$valor){

    $pago_id = utf8_encode($valor["pago_id"]);
    $t_trans_id = utf8_encode($valor["trans_id"]);    
    $t_formapago_id = utf8_encode($valor["formapago_id"]);
    $pago_comentario = utf8_encode($valor["pago_comentario"]);
    $t_usuario_id = utf8_encode($valor["usuario_id"]);
    $t_estatus_id = utf8_encode($valor["estatus_id"]);
    $pago_referencia = utf8_encode($valor["pago_referencia"]);
    $pago_banco = utf8_encode($valor["pago_banco"]);
    $pago_monto = utf8_encode($valor["pago_monto"]);
    $pago_img = utf8_encode($valor["pago_img"]);
    $pago_fecha = utf8_encode($valor["pago_fecha"]);
    $pago_fechareg = utf8_encode($valor["pago_fechareg"]);
    $formapago_nombre = utf8_encode($valor["formapago_nombre"]);
    $usuario_nombre = utf8_encode($valor["usuario_nombre"]);
    $usuario_apellido = utf8_encode($valor["usuario_apellido"]);
    $estatus_nombre = utf8_encode($valor["estatus_nombre"]);
    $plan_nombre = utf8_encode($valor["plan_nombre"]);
    $pago_activo = utf8_encode($valor["pago_activo"]);   

}
    



?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php echo $base; ?>
	 <meta charset="utf-8">
	 <meta http-equiv="X-UA-Compatible" content="IE=edge">
	 <meta name="viewport" content="width=device-width, initial-scale=1">
	 <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	 <title>Panel Ver Pago - Jurídica Tributaria</title>

	 <!-- Css Files -->
	 <link href="css/bootstrap.css" rel="stylesheet">
	 <link href="css/font-awesome.css" rel="stylesheet">
	 <link href="css/flaticon.css" rel="stylesheet">
	 <link href="css/slick-slider.css" rel="stylesheet">
	 <link href="css/fancybox.css" rel="stylesheet">
	 <link href="style.css" rel="stylesheet">
	 <link href="css/color.css" rel="stylesheet">
	 <link href="css/responsive.css" rel="stylesheet">
	 <link href="images/logicon.png" rel="icon">
	 

	 <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	 <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	 <!--[if lt IE 9]>
		 <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		 <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	 <![endif]-->
	</head>
	<body>
	 
	 <!--// Main Wrapper \\-->
	 <div class="ereaders-main-wrapper">

	<?php include_once "header.php"; ?>

    <!--// Main Content \\-->
    <div class="ereaders-main-content">
        <!--// Main Section \\-->
        <div class="ereaders-main-section ereaders-author-detailfull">
            <div class="container">
                <div class="row">
                    <aside class="col-md-4">
                        <?php include_once "panel-sidebar.php"; ?>                                              
                    </aside>
                    <div class="col-md-8">
                        <form>
                            <div class="row">
                                <div class="col-md-6" style="margin-top: 15px">
                                    <h3><i class="fa fa-money"></i> Ver Pago</h3>
                                </div>
                            </div>                            
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Membresia: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $plan_nombre;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Usuario: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $usuario_nombre." ".$usuario_apellido;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Forma de Pago: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $formapago_nombre;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Nro de Referencia: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $pago_referencia;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Monto de Pago: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $pago_monto;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Fecha de Pago: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $pago_fecha;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Observaciones: </h5>
                                </div>
                                <div class="col-md-9">
                                    <p><?php echo $pago_comentario;?></p>
                                </div>                               
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <h5 style="font-size: 16px">Ver Comprobante: </h5>
                                </div>
                                <div class="col-md-9">
                                    <a href="arch/<?php echo $pago_img;?>" target='_blank'>
                                        <img src="arch/<?php echo $pago_img;?>" style="height: 80px"><br>
                                        Ver Comprobante
                                    </a>
                                </div>                               
                            </div>
                            
                        </form>                       
                        
                    </div>

                </div>
            </div>
        </div>
        <!--// Main Section \\-->

    </div>
    <!--// Main Content \\-->

	<?php include_once "footer.php"; ?>

	<div class="clearfix"></div>

	</div>
	<!--// Main Wrapper \\-->

	 <!-- jQuery (necessary for JavaScript plugins) -->
	 <script type="text/javascript" src="script/jquery.js"></script>
	 <script type="text/javascript" src="script/jquery-ui.js"></script>
	 <script type="text/javascript" src="script/bootstrap.min.js"></script>
	 <script type="text/javascript" src="script/slick.slider.min.js"></script>
	 <script type="text/javascript" src="script/fancybox.pack.js"></script>
	 <script type="text/javascript" src="script/isotope.min.js"></script>
	 <script type="text/javascript" src="script/progressbar.js"></script>
	 <script type="text/javascript" src="script/jquery.countdown.min.js"></script>
	 <script type="text/javascript" src="script/circle-chart.js"></script>
	 <script type="text/javascript" src="script/numscroller.js"></script>	 
	 <script type="text/javascript" src="script/functions.js"></script>

	</body>
</html>