<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/base.php';

$base = base();

$conexion = new ConexionBd();
$arrresultado = $conexion->doSelect("preguntafrecuente_id, preguntafrecuente_orden, preguntafrecuente_nombre, preguntafrecuente_descrip, preguntafrecuente_activo, preguntafrecuente_nombreen, preguntafrecuente_descripen	",
	"preguntafrecuente",
	"preguntafrecuente_activo = '1'", null, "preguntafrecuente_orden asc");

    foreach($arrresultado as $i=>$valor){

        $preguntafrecuente_id = utf8_encode($valor["preguntafrecuente_id"]);
        $preguntafrecuente_orden = utf8_encode($valor["preguntafrecuente_orden"]);
        $preguntafrecuente_nombre = utf8_encode($valor["preguntafrecuente_nombre"]);
        $preguntafrecuente_nombreen = utf8_encode($valor["preguntafrecuente_nombreen"]);
        $preguntafrecuente_descrip = utf8_encode($valor["preguntafrecuente_descrip"]);
        $preguntafrecuente_descripen = utf8_encode($valor["preguntafrecuente_descripen"]);
	    $preguntafrecuente_activo = utf8_encode($valor["preguntafrecuente_activo"]);
	    $t_tiporegistro_id = utf8_encode($valor["tiporegistro_id"]);
	    $tiporegistro_nombre = utf8_encode($valor["tiporegistro_nombre"]);

	    $textopreguntas .= "
            <div class='panel panel-default'>
                <div class='panel-heading' role='tab' id='heading$preguntafrecuente_id'>
                    <h4 class='panel-title'>
                        <a role='button' data-toggle='collapse' data-parent='#preguntas' href='#collapse$preguntafrecuente_id' aria-expanded='true' aria-controls='collapse$preguntafrecuente_id'>
                            $preguntafrecuente_nombre
                        </a>
                    </h4>
                </div>
                <div id='collapse$preguntafrecuente_id' class='panel-collapse collapse' role='tabpanel' aria-labelledby='heading$preguntafrecuente_id'>
                    <div class='panel-body'>
                        $preguntafrecuente_descrip
                    </div>
                </div>
            </div>
	    ";

    }


?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php echo $base; ?>
	 <meta charset="utf-8">
	 <meta http-equiv="X-UA-Compatible" content="IE=edge">
	 <meta name="viewport" content="width=device-width, initial-scale=1">
	 <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	 <title>Preguntas Frecuentes - Jurídica Tributaria</title>

	 <!-- Css Files -->
	 <link href="css/bootstrap.css" rel="stylesheet">
	 <link href="css/font-awesome.css" rel="stylesheet">
	 <link href="css/flaticon.css" rel="stylesheet">
	 <link href="css/slick-slider.css" rel="stylesheet">
	 <link href="css/fancybox.css" rel="stylesheet">
	 <link href="style.css" rel="stylesheet">
	 <link href="css/color.css" rel="stylesheet">
	 <link href="css/responsive.css" rel="stylesheet">
	 <link href="images/logicon.png" rel="icon">
	 

	 <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	 <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	 <!--[if lt IE 9]>
		 <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		 <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	 <![endif]-->
	</head>
	<body>
	 
	 <!--// Main Wrapper \\-->
	 <div class="ereaders-main-wrapper">

	<?php include_once "header.php"; ?>

    <!--// SubHeader \\-->
    <div class="ereaders-subheader">
        <div class="ereaders-subheader-text">
            <span class="ereaders-subheader-transparent"></span>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h1>Preguntas Frecuentes</h1>
                        <p>En este listado se presentan las respuestas a las preguntas más frecuentes de nuestros usuarios registrados.</p>
                    </div>
                </div>
            </div>
        </div>       
    </div>
	<!--// Header \\-->

    <!--// Main Content \\-->
    <div class="ereaders-main-content ereaders-content-padding">
        <!--// Main Section \\-->
        <div class="ereaders-main-section eraders-faqfull">
            <div class="container">
                <div class="row">                                    
                    <aside class="col-md-12">
                        <!-- Tab panes -->
                        <div class="tab-content">
                            <div role="tabpanel" class="tab-pane active" id="home">
                                <div class="panel-group ereaders-faq-accordion" id="preguntas" role="tablist" aria-multiselectable="true">
                                    <?php echo $textopreguntas;?>
                                    
                                </div>

                            </div>
                           
                                                      
                        </div>
                    </aside>
                </div>
            </div>
        </div>
        <!--// Main Section \\-->
    </div>
    <!--// Main Content \\-->

	<!--// Footer \\-->
	<?php include_once "footer.php"; ?>

	<div class="clearfix"></div>

	</div>
	<!--// Main Wrapper \\-->

	 <!-- jQuery (necessary for JavaScript plugins) -->
	 <script type="text/javascript" src="script/jquery.js"></script>
	 <script type="text/javascript" src="script/jquery-ui.js"></script>
	 <script type="text/javascript" src="script/bootstrap.min.js"></script>
	 <script type="text/javascript" src="script/slick.slider.min.js"></script>
	 <script type="text/javascript" src="script/fancybox.pack.js"></script>
	 <script type="text/javascript" src="script/isotope.min.js"></script>
	 <script type="text/javascript" src="script/progressbar.js"></script>
	 <script type="text/javascript" src="script/jquery.countdown.min.js"></script>
	 <script type="text/javascript" src="script/circle-chart.js"></script>
	 <script type="text/javascript" src="script/numscroller.js"></script>	 
	 <script type="text/javascript" src="script/functions.js"></script>

	</body>
</html>