<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/base.php';

$xajax = new xajax('lib/ajx_fnci.php');
$xajax->registerFunction('registrarusuario');
session_start();
$xajax->printJavascript('lib/');

$base = base();

(isset($_GET['i'])) ? $getacceso=$_GET['i'] :$getacceso='';

if ($getacceso =="1"){
    $infoalerta = "
    <div class='alert alert-danger'>
        <i class='fa fa-exclamation'></i> Para observar esta sección debes estar registrado en nuestra plataforma   ;
    </div>";
}
else if ($getacceso =="2"){
    $infoalerta = "
    <div class='alert alert-success'>
        <i class='fa fa-check'></i> Registrate en simples pasos y proceder a adquirir la membresia
    </div>";
}



?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php echo $base; ?>
	 <meta charset="utf-8">
	 <meta http-equiv="X-UA-Compatible" content="IE=edge">
	 <meta name="viewport" content="width=device-width, initial-scale=1">
	 <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	 <title>Registro - Jurídica Tributaria</title>

	 <!-- Css Files -->
	 <link href="css/bootstrap.css" rel="stylesheet">
	 <link href="css/font-awesome.css" rel="stylesheet">
	 <link href="css/flaticon.css" rel="stylesheet">
	 <link href="css/slick-slider.css" rel="stylesheet">
	 <link href="css/fancybox.css" rel="stylesheet">
	 <link href="style.css" rel="stylesheet">
	 <link href="css/color.css" rel="stylesheet">
	 <link href="css/responsive.css" rel="stylesheet">
	 <link href="images/logicon.png" rel="icon">
	 

	 <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	 <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	 <!--[if lt IE 9]>
		 <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		 <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	 <![endif]-->
	</head>
	<body>
	 
	 <!--// Main Wrapper \\-->
	 <div class="ereaders-main-wrapper">

	<?php include_once "header.php"; ?>

    <!--// SubHeader \\-->
    <div class="ereaders-subheader">
        <div class="ereaders-subheader-text">
            <span class="ereaders-subheader-transparent"></span>
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <h1>Registrate</h1>
                        <p>Procede a registrarte y proceder a observar todo lo que te ofrecemos en nuestro portal</p>
                    </div>
                </div>
            </div>
        </div>       
    </div>
	<!--// Header \\-->

    <!--// Main Content \\-->
    <div class="ereaders-main-content">
        <!--// Main Section \\-->
        <div class="ereaders-main-section">
            <div class="container">
                <?php echo $infoalerta;?>
                <div class="row">
                    <div class="col-md-4">

                    </div>                        
                    <div class="col-md-4">            
                                    
                        <div class="ereaders-contact-wrasp">
                            <div>                                
                                <form method="post" action="javascript:registrarusuario()">
                                    <div class="row">
                                        <div class="col-md-12" style="margin-top: 15px">
                                            <input type="text" name="name" id="name" class="form-control" placeholder="Nombre y Apellido *" required="required">                                            
                                        </div>
                                        <div class="col-md-12" style="margin-top: 15px">
                                            <input type="email" name="email" id="email" class="form-control" placeholder="Email *" required="required">
                                        </div>
                                        <div class="col-md-12" style="margin-top: 15px">
                                            <input type="text" name="phone" id="phone" class="form-control" placeholder="Telefono">
                                        </div>
                                        <div class="col-md-12" style="margin-top: 15px">
                                            <input type="password" name="password" id="password" class="form-control" placeholder="Clave *" required="required">
                                        </div>                                        
                                        
                                        
                                        <div class="col-md-12" style="margin-top: 15px">
                                            <center>
                                                <input type="submit" name="submit" value="Registrarse" class="btn btn-primary">
                                            </center>                                            
                                        </div>
                                        <div class="col-md-12" style="margin-top: 15px">
                                            <center>
                                                Ya tienes cuenta? <a href="iniciar-sesion">Ingresa aquí</a>
                                                <input type="hidden" name="ubic" id="ubic" class="form-control" value="<?php echo $getacceso;?>">
                                            </center>
                                        </div>
                                    </div>                                    
                                </form>
                            </div>                            
                        </div>
                    </div>
                </div>
            </div>
        </div>
       
    </div>
    <!--// Main Content \\-->

	<!--// Footer \\-->
	<?php include_once "footer.php"; ?>

	<div class="clearfix"></div>

	</div>
	<!--// Main Wrapper \\-->

	 <!-- jQuery (necessary for JavaScript plugins) -->
	 <script type="text/javascript" src="script/jquery.js"></script>
	 <script type="text/javascript" src="script/jquery-ui.js"></script>
	 <script type="text/javascript" src="script/bootstrap.min.js"></script>
	 <script type="text/javascript" src="script/slick.slider.min.js"></script>
	 <script type="text/javascript" src="script/fancybox.pack.js"></script>
	 <script type="text/javascript" src="script/isotope.min.js"></script>
	 <script type="text/javascript" src="script/progressbar.js"></script>
	 <script type="text/javascript" src="script/jquery.countdown.min.js"></script>
	 <script type="text/javascript" src="script/circle-chart.js"></script>
	 <script type="text/javascript" src="script/numscroller.js"></script>	 
	 <script type="text/javascript" src="script/functions.js"></script>

	</body>
</html>