<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

$env = parse_ini_file(__DIR__ . '/.env');

include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/xajax_0.2.4/xajax.inc.php';

(isset($_GET['sid'])) ? $getseccion_id=$_GET['sid'] :$getseccion_id='';
(isset($_GET['tid'])) ? $gettema_id=$_GET['tid'] :$gettema_id='';
(isset($_GET['a'])) ? $getanio=$_GET['a'] :$getanio='';
(isset($_GET['q'])) ? $getbuscar=$_GET['q'] :$getbuscar='';
(isset($_GET['c'])) ? $checkSpell=$_GET['c'] :$checkSpell='';

$xajax = new xajax('lib/ajx_fnci.php');
$xajax->registerFunction('cargartemas');
session_start();
$xajax->printJavascript('lib/');

$urlactual = geturlactualsincambiar();

$buscar   = 'ref/';
$pos = strpos($urlactual, $buscar);

// Nótese el uso de ===. Puesto que == simple no funcionará como se espera
// porque la posición de 'a' está en el 1° (primer) caracter.
if ($pos === false) {
  
  $colbuscador1 = " col-md-3";
  $colbuscador2 = " col-md-3";
  $colbuscador3 = " col-md-2";
  $colbuscador4 = " col-md-3";
  $colbuscador5 = " col-md-1";

} else {
  $colbuscador1 = " col-md-12";
  $colbuscador2 = " col-md-12";
  $colbuscador3 = " col-md-12";
  $colbuscador4 = " col-md-12";
  $colbuscador5 = " col-md-12";
  $colwidthboton = " style = 'width: 100%'";
  
}


$conexion = new ConexionBd();

$arrresultado = $conexion->doSelect("seccion_id, seccion_nombre",
  "seccion ",
  "seccion_activo = '1'", null, "seccion_orden asc");

$optionseccion = "<option value=''>-- Secciones --</option>";
foreach($arrresultado as $i=>$valor){

    $seccion_id = utf8_encode($valor["seccion_id"]);  
    $seccion_nombre = utf8_encode($valor["seccion_nombre"]);  

    if ($getseccion_id==$seccion_id){
        $optionseccion .= "<option selected='selected' value='$seccion_id'>$seccion_nombre</option>";
    }else{
        $optionseccion .= "<option value='$seccion_id'>$seccion_nombre</option>";
    }
    
}


$arrresultado = $conexion->doSelect("tema_id, tema_nombre",
  "tema ",
  "tema_activo = '1'", null, "tema_nombre asc");

$optiontema = "<option value=''>-- Temas --</option>";
foreach($arrresultado as $i=>$valor){

    $tema_id = utf8_encode($valor["tema_id"]);  
    $tema_nombre = utf8_encode($valor["tema_nombre"]);  

    if ($gettema_id==$tema_id){
        $optiontema .= "<option selected='selected' value='$tema_id'>$tema_nombre</option>";
    }else{
        $optiontema .= "<option value='$tema_id'>$tema_nombre</option>";
    }
}


$arrresultado = $conexion->doSelect("ano_id, ano_nombre",
  "ano ",
  "ano_activo = '1'", null, "ano_id desc");

$optionano = "<option value=''>-- Años --</option>";
foreach($arrresultado as $i=>$valor){

    $ano_id = utf8_encode($valor["ano_id"]);  
    $ano_nombre = utf8_encode($valor["ano_nombre"]);  

    if ($getanio==$ano_nombre){
        $optionano .= "<option selected='selected' value='$ano_nombre'>$ano_nombre</option>";
    }else{
        $optionano .= "<option value='$ano_nombre'>$ano_nombre</option>";
    }
}

?>
<form action="referencias" method="GET">
  <div class="row">
    <div class="<?php echo $colbuscador1;?>">
      <div class="widget widget_search" style="padding-top: 10px">
        <select class="form-control" id="sid" name="sid" onchange="cargartemas()">
          <?php echo $optionseccion;?> 
        </select>
      </div>
    </div>
    <div class="<?php echo $colbuscador2;?>">
      <div class="widget widget_search" style="padding-top: 10px">
        <select class="form-control" id="tid" name="tid">
          <?php echo $optiontema;?>
        </select>
      </div>
    </div>
    <div class="<?php echo $colbuscador3;?>">
      <div class="widget widget_search" style="padding-top: 10px">
        <select class="form-control" name="a">
          <?php echo $optionano;?>
        </select>
      </div>
    </div>
    <div class="<?php echo $colbuscador4;?>">
      <div class="widget widget_search" style="padding-top: 10px">
      <input id='search-term' type="text" class="form-control" name="q" placeholder="Que buscas" value="<?php echo $getbuscar;?>" />
      </div>
    </div>
    <div class="<?php echo $colbuscador5;?>">
        <div class="widget widget_search" style="padding-top: 10px">
            <button type="submit" class="btn btn-primary" <?php echo $colwidthboton;?>><i class="fa fa-search"></i></button>
        </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12" style='margin-bottom: 27px; text-align: right; margin-left: -100px;'>
      <div id='spell-checker' style='display: none;'>
        Quiza quisiste decir: 
        <span style='cursor: pointer; color: #1a0dab' id='good-text'></span>
      </div>
    </div>
  </div>
  <input id='search-term' type="hidden" class="form-control" name="c" value="1" />
</form>

<?php if($checkSpell=="1" && $getbuscar): ?>

<script>
    const text = document.getElementById('search-term').value;
			const apiKey = '<?php echo $env['TEXT_GEARS_API_KEY'];?>';
			const searchUrl = `https://api.textgears.com/grammar?text=${text}&language=es-ES&whitelist=&dictionary_id=&key=${apiKey}`;
			fetch(searchUrl)
				.then(response => response.json())
				.then(request => {
					console.log(request);
					if(request.response.errors.length > 0){
						const errors = request.response.errors;

            
						// Replace bad words with better ones
						const newText = errors.reduce((text, error) => {
							return text.replace(error.bad, error.better[0]);
						}, text);

						// highlight good words
						const highlightedText = errors.reduce((text, error) => {
							return text.replace(error.better[0], `<b>${error.better[0]}</b>`);
						} , newText);

            
						const url = 'referencias?sid=<?php echo $getseccion_id ?>&tid=<?php echo $gettema_id ?>&a=<?php echo $getanio ?>&q=' + newText;
            document.getElementById('good-text').innerHTML = highlightedText;

            document.getElementById('spell-checker').style.display = 'block';
            
            // Listen click in "good-text" element
            document.getElementById('good-text').addEventListener('click', function() {
              window.location.href = url;
            });
					}
				});
</script>

<?php endif; ?>