<?php
include_once '../lib/configinc_in.php';
include_once '../lib/mysqlclass.php';
include_once '../lib/xajax_0.2.4/xajax.inc.php';
include_once '../lib/funciones.php';
include_once '../lib/phpmailer/libemail.php';

$xajax = new xajax('ajx_fnci.php');
$xajax->registerFunction('guardardatoscompra');
$xajax->registerFunction('ingresarusuario');
$xajax->registerFunction('registrarusuario');
$xajax->registerFunction('guardarcompra');

session_start();


function guardarcompra($tipoentrega_id=null, $formapago_id=null, $sucursal=null, $envio_pais=null, $envio_estado=null, $envio_ciudad=null, $envio_codpostal=null, $envio_codpostal=null, $envio_direccion=null, $transf_banco=null, $transf_titular=null, $transf_referencia=null, $transf_monto=null, $monto=null){

	$objResponse = new xajaxResponse();

	$envio_pais = utf8_decode($envio_pais);
	$envio_estado = utf8_decode($envio_estado);
	$envio_ciudad = utf8_decode($envio_ciudad);
	$envio_codpostal = utf8_decode($envio_codpostal);
	$envio_direccion = utf8_decode($envio_direccion);
	$transf_banco = utf8_decode($transf_banco);
	$transf_titular = utf8_decode($transf_titular);
	$transf_referencia = utf8_decode($transf_referencia);
	$transf_monto = utf8_decode($transf_monto);


	$conexion = new ConexionBd();

	$fechaactual = formatoFechaHoraBd();

	session_start();
	$getcodigo = $_SESSION['getcodigo'];
	$iniuser = $_SESSION['iniuser'];	

	$arrresultado2 = $conexion->doSelect("max(trans_orden) as trans_orden","transaccion");
	if (count($arrresultado2)>0){
		foreach($arrresultado2 as $i=>$valor){
			$trans_orden = $valor["trans_orden"];			
			$trans_orden = $trans_orden + 1;	
		}
	}

	$arrresultado = $conexion->doSelect("
		 usuario_id, usuario_nombre, usuario_apellido, usuario_telf, usuario_email, usuario_clave, 
		 usuario_pais, usuario_ciudad, usuario_activo, usuario_eliminado, usuario.perfil_id, usuario_fechareg,
		 tipoinicses_id, 
		 usuario_dirpais, usuario_direstado, usuario_dirciudad, usuario_dircodpostal,
		 usuario_dircompleta, usuario_dirtelf, usuario_porcdescuento
		","usuario
			 INNER JOIN perfil ON usuario.perfil_id = perfil.perfil_id	
		",
		"usuario_eliminado = '0' and usuario_id = '$iniuser' ");

	foreach($arrresultado as $i=>$valor){

		$usuario_porcdescuento = utf8_encode($valor["usuario_porcdescuento"]);

	}

	if ($usuario_porcdescuento==""){
		$usuario_porcdescuento ="0";
	}




	$arrresultado = $conexion->doSelect("
	  temp_id, temp.prod_id, temp_activo, temp_montounit, temp_cantidad, temp_montototal, temp_codigo,
	  prod_nombre
	  ","temp
	  		inner JOIN producto on temp.prod_id = producto.prod_id
	  ",
	  "temp_activo = '1' and temp_codigo = '$getcodigo'", null, "temp_id desc");

	foreach($arrresultado as $i=>$valor){
	  $prod_id = utf8_encode($valor["prod_id"]);

	}	

	$arrresultado = $conexion->doSelect("tipocateg_id","producto","prod_id = '$prod_id'");
	foreach($arrresultado as $i=>$valor){		
		$tipocateg_id = utf8_encode($valor["tipocateg_id"]);
	}

	
	$resultado = $conexion->doInsert("
		transaccion
			(trans_fecha, trans_monto, trans_activo, trans_eliminado, estatus_id, 
			trans_pais, trans_estado, trans_ciudad, trans_codpostal, trans_direccion, 
			trans_horario, trans_ptoreferencia, usuario_id, trans_orden, tipocateg_id, 
			trans_descuento, trans_iva, trans_envio, trans_montototal, trans_porcdescuento, 
			trans_porciva, trans_porcenvio, formapago_id, tipoentrega_id, trans_pagobanco, 
			trans_pagotitular, trans_pagoreferencia, trans_pagomonto, trans_pagocomprobante, sucursal_id)
		",
		"'$fechaactual', '0', '1','0','4',
		'$envio_pais','$envio_estado','$envio_ciudad', '$envio_codpostal', '$envio_direccion',
		'','','$iniuser','$trans_orden', '$tipocateg_id',
		'$trans_descuento','$trans_iva','$trans_envio', '$trans_montototal', '$trans_porcdescuento',
		'$trans_porciva','$trans_porcenvio','$formapago_id', '$tipoentrega_id', '$transf_banco',
		'$transf_titular','$transf_referencia','$transf_monto', '', '$sucursal'

		");

	$arrresultado2 = $conexion->doSelect("max(trans_id) as trans_id","transaccion");
	if (count($arrresultado2)>0){
		foreach($arrresultado2 as $i=>$valor){
			$trans_id = $valor["trans_id"];				
		}
	}


	$arrresultado = $conexion->doSelect("
	  temp_id, temp.prod_id, temp_activo, temp_montounit, temp_cantidad, temp_montototal, temp_codigo,
	  prod_nombre
	  ","temp
	  		inner JOIN producto on temp.prod_id = producto.prod_id
	  ",
	  "temp_activo = '1' and temp_codigo = '$getcodigo'", null, "temp_id desc");

	$n = 0;
	$montototal = 0;
	foreach($arrresultado as $i=>$valor){

	  $n = $n+1;

	  $temp_id = utf8_encode($valor["temp_id"]);
	  $prod_nombre = utf8_encode($valor["prod_nombre"]);
	  $prod_id = utf8_encode($valor["prod_id"]);
	  $temp_montounit = utf8_encode($valor["temp_montounit"]);
	  $temp_cantidad = utf8_encode($valor["temp_cantidad"]);
	  $temp_montototal = utf8_encode($valor["temp_montototal"]);
	  $temp_codigo = utf8_encode($valor["temp_codigo"]);

	  $montototal = $montototal + $temp_montototal;


	  $resultado = $conexion->doInsert("
		transaccion_detalle
		(trans_id, prod_id, transdet_montounit, transdet_cantidad, transdet_montototal, transdet_activo)
		",
		"'$trans_id', '$prod_id', '$temp_montounit','$temp_cantidad','$temp_montototal','1'");

	}

	
	if ($usuario_porcdescuento=="0"){
		$descuento= 0;
	}else{
		$descuento = round((($usuario_porcdescuento * $montototal)/100),2);
		$descuentomostrar = "($usuario_porcdescuento%)";
	}


	$iva = round(((($montototal - $descuento) * 7)/100),2);

  	$total = $montototal+$iva-$descuento;


  	$envio = round((($total  * 10)/100),2);

  	$totalconenvio = $total+$envio;

  	if ($tipoentrega_id=="1"){
  		$montototalcobrar = $total;
  	}else{
  		$montototalcobrar = $totalconenvio;
  	}

	$resultado = $conexion->doUpdate("transaccion", 
		"
		trans_descuento = '$descuento',
		trans_iva = '$iva', 
		trans_envio = '$envio',
		trans_monto = '$montototal',
		trans_montototal = '$montototalcobrar',
		trans_porcdescuento = '$usuario_porcdescuento',
		trans_porciva = '7',
		trans_porcenvio = '10'
		", 
		"trans_id='$trans_id'");


	if ($resultado){

		$objResponse->addScript("window.location = 'compraterminada.php?tid=$trans_id';");
	
		return $objResponse;
	}

	if (!$resultado){
		$texresp ="Error intentando guardar los datos de la compra, intente nuevamente";
		$objResponse->addAlert($texresp);
		//$objResponse->addScript("window.location.reload();");
	}

	return $objResponse;
}

function registrarusuario($nombre=null, $email=null, $password=null){
	$objResponse = new xajaxResponse();

	$fechaactual = formatoFechaHoraBd();

	$conexion = new ConexionBd();

	$coduniq = uniqid();

	$arrresultado = $conexion->doSelect("
		usuario_id,  usuario_clave,
			usuario_activo, usuario_eliminado, perfil_id, 
			usuario_nombre, tipoinicses_id
		",
		"usuario","usuario_eliminado ='0' and usuario_email = '$email'");

	if (count($arrresultado)>0){
		foreach($arrresultado as $i=>$valor){
			$tipoinicses_id = utf8_encode($valor["tipoinicses_id"]);

			if ($tipoinicses_id=="1"){
				$texresp ="Error: Ya el email se encuentra registrado por medio de Facebook, por favor intente nuevamente o comuniquese con nosotros al email meneses.rigoberto@gmail.com";
				$objResponse->addAlert($texresp);
			}else{
				$texresp ="Error: Ya el email se encuentra registrado, por favor intente nuevamente o comuniquese con nosotros al email meneses.rigoberto@gmail.com";
				$objResponse->addAlert($texresp);
			}		
			
			return $objResponse;

		}
	}


	$resultado = $conexion->doInsert("
		usuario
			(usuario_nombre, usuario_apellido, usuario_telf, usuario_email, usuario_clave, usuario_pais, 
				usuario_ciudad, usuario_activo, usuario_eliminado, perfil_id, usuario_fechareg, tipoinicses_id, usuario_emailconfirm, estatus_id, usuario_porcdescuento) 
		",
		"'$nombre', '', '','$email','$password','',
		'', '1', '0','2','$fechaactual','2','$coduniq','5','0'");

	$arrresultado2 = $conexion->doSelect("max(usuario_id) as maxusuario_id","usuario");
	if (count($arrresultado2)>0){
		foreach($arrresultado2 as $i=>$valor){
			$usuario_id = $valor["maxusuario_id"];		
			//$_SESSION["iniuser"] = $usuario_id;		
		}
	}

	if ($resultado){

		$libemail = new LibEmail();

	    $texto = "
	    Sr.(a) ".$nombre.", gracias por registrarse en nuestra web www.sistemasgo.com/portfolio/leyespy/.co/
	    <br><br>
	    Te damos la bienvenida a la mejor experiencia en compras a traves de nuestra web donde podrás comprar en línea y consultar precios de nuestros medicamentos y equipos.


	    <br>Nombre: ".$nombre."
	    <br>Email: ".$email."
	    <br><br>
	    <br>Por favor, haz click en el siguiente enlace para confirmar su registro: <a href='http://www.sistemasgo.com/portfolio/leyespy/.co/iniciarsesion.php?co=$coduniq'>Verificar</a>
	    ";
	    $asunto = "Confirmacion Registro - Online Products PTY";

	    $resultado = $libemail->enviarcorreo($email, $asunto, $texto);		     
	    $resultado = $libemail->enviarcorreo("meneses.rigoberto@gmail.com", $asunto, $texto);$resultado = $libemail->enviarcorreo("info@sistemasgo.com", $asunto, $texto);

	    $texresp ="Registrado Correctamente, por favor confirmar el email para proceder";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'iniciarsesion.php?i=1';");
		
		return $objResponse;
	}

	if (!$resultado){
		$texresp ="Error intentando registrar el usuario, intente nuevamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload();");
		//$objResponse->addScript("window.location.reload();");
	}


	return $objResponse;
}

function ingresarusuario($usuario=null, $password=null, $getcomprar=null){
	$objResponse = new xajaxResponse();

	$objResponse->addAlert(8);

	return $objResponse;

	$conexion = new ConexionBd();
	$arrresultado = $conexion->doSelect("
		usuario_id,  usuario_clave,
			usuario_activo, usuario_eliminado, perfil_id, 
			usuario_nombre, usuario_email, usuario_emailconfirm
		",
			"usuario				
			",
			"usuario_eliminado ='0' and usuario_email = '$usuario' and usuario_clave = '$password'");

	if (count($arrresultado)>0){
		foreach($arrresultado as $i=>$valor){

			$usuario_id = utf8_encode($valor["usuario_id"]);			
			$perfil_id = utf8_encode($valor["perfil_id"]);
			$usuario_nombre = utf8_encode($valor["usuario_nombre"]);
			$usuario_email = utf8_encode($valor["usuario_email"]);
			$usuario_activo = utf8_encode($valor["usuario_activo"]);

			$usuario_emailconfirm = utf8_encode($valor["usuario_emailconfirm"]);

			if ($usuario_emailconfirm!=""){
				$texresp ="Usuario pendiente de verificacion del Email, por favor revisar su email para activar el registro";
				$objResponse->addAlert($texresp);				

			}else if ($usuario_activo=="1"){
				session_start();
				$_SESSION["iniuser"] = $usuario_id;
				$_SESSION["login"] = $usuario_nombre;
				$_SESSION["perfil"] = $perfil_id;	
				$_SESSION["email"] = $usuario_email;			

				if ($getcomprar=="1"){
					$objResponse->addScript("window.location = 'procesarcompra.php';");	
				}else{
					$objResponse->addScript("window.location = 'index.php';");		
				}

				
			}else{
				$texresp ="Inactive User, please send an email to ".$_SESSION["correoreportar"]." to request activation";
				$objResponse->addAlert($texresp);
			}

			

		}
	}else{
		$texresp ="The username or password are incorrect, please try again.";
		$objResponse->addAlert($texresp);
	}

	return $objResponse;
}


function guardardatoscompra($nombre=null, $apellido=null, $email=null, $clave=null, $pais=null, $ciudad=null, $envio_pais=null, $envio_estado=null,	$envio_ciudad=null, $envio_codpostal=null, $envio_direccion=null, $telefono=null, $tipocateg_id=null){

	$objResponse = new xajaxResponse();

	$nombre = utf8_decode($nombre);
	$apellido = utf8_decode($apellido);
	$email = utf8_decode($email);
	$clave = utf8_decode($clave);
	$pais = utf8_decode($pais);
	$ciudad = utf8_decode($ciudad);
	$envio_pais = utf8_decode($envio_pais);
	$envio_estado = utf8_decode($envio_estado);
	$envio_ciudad = utf8_decode($envio_ciudad);
	$envio_codpostal = utf8_decode($envio_codpostal);
	$envio_direccion = utf8_decode($envio_direccion);
	$telefono = utf8_decode($telefono);
	


	$conexion = new ConexionBd();

	$fechaactual = formatoFechaHoraBd();

	session_start();
	$getcodigo = $_SESSION['getcodigo'];	

	$arrresultado = $conexion->doSelect("usuario_id","usuario","usuario_email = '$email' and usuario_clave = '$clave' and usuario_activo = '1'");

	foreach($arrresultado as $i=>$valor){
		$existeusuario = "1";

		$usuario_id = utf8_encode($valor["usuario_id"]);
		$grupousuario_nombre = utf8_encode($valor["grupousuario_nombre"]);
		$_SESSION["iniuser"] = $usuario_id;		
	}

	if ($existeusuario!="1"){

		$resultado = $conexion->doInsert("
			usuario
				(usuario_nombre, usuario_apellido, usuario_telf, usuario_email, usuario_clave, usuario_pais, 
					usuario_ciudad, usuario_activo, usuario_eliminado, perfil_id, usuario_fechareg) 
			",
			"'$nombre', '$apellido', '','$email','$clave','$pais',
			'$ciudad', '1', '0','2','$fechaactual'");

		$arrresultado2 = $conexion->doSelect("max(usuario_id) as maxusuario_id","usuario");
		if (count($arrresultado2)>0){
			foreach($arrresultado2 as $i=>$valor){
				$usuario_id = $valor["maxusuario_id"];		
				$_SESSION["iniuser"] = $usuario_id;		
			}
		}
	}

	$arrresultado2 = $conexion->doSelect("max(trans_orden) as trans_orden","transaccion");
	if (count($arrresultado2)>0){
		foreach($arrresultado2 as $i=>$valor){
			$trans_orden = $valor["trans_orden"];			
			$trans_orden = $trans_orden + 1;	
		}
	}

	$arrresultado = $conexion->doSelect("
	  temp_id, temp.prod_id, temp_activo, temp_montounit, temp_cantidad, temp_montototal, temp_codigo,
	  prod_nombre
	  ","temp
	  		inner JOIN producto on temp.prod_id = producto.prod_id
	  ",
	  "temp_activo = '1' and temp_codigo = '$getcodigo'", null, "temp_id desc");

	foreach($arrresultado as $i=>$valor){
	  $prod_id = utf8_encode($valor["prod_id"]);

	}

	

	$arrresultado = $conexion->doSelect("tipocateg_id","producto","prod_id = '$prod_id'");
	foreach($arrresultado as $i=>$valor){		
		$tipocateg_id = utf8_encode($valor["tipocateg_id"]);
	}

	


	
	$resultado = $conexion->doInsert("
		transaccion
			(trans_fecha, trans_monto, trans_activo, trans_eliminado, estatus_id, trans_pais, trans_estado, 
			trans_ciudad, trans_codpostal, trans_direccion, trans_horario, trans_ptoreferencia, usuario_id, trans_orden, tipocateg_id)
		",
		"'$fechaactual', '0', '1','0','4','$envio_pais','$envio_estado',
		'$envio_ciudad', '$envio_codpostal', '$envio_direccion','$envio_horario','$envio_referencia','$usuario_id','$trans_orden', '$tipocateg_id'");

	$arrresultado2 = $conexion->doSelect("max(trans_id) as trans_id","transaccion");
	if (count($arrresultado2)>0){
		foreach($arrresultado2 as $i=>$valor){
			$trans_id = $valor["trans_id"];				
		}
	}


	$arrresultado = $conexion->doSelect("
	  temp_id, temp.prod_id, temp_activo, temp_montounit, temp_cantidad, temp_montototal, temp_codigo,
	  prod_nombre
	  ","temp
	  		inner JOIN producto on temp.prod_id = producto.prod_id
	  ",
	  "temp_activo = '1' and temp_codigo = '$getcodigo'", null, "temp_id desc");

	$n = 0;
	$montototal = 0;
	foreach($arrresultado as $i=>$valor){

	  $n = $n+1;

	  $temp_id = utf8_encode($valor["temp_id"]);
	  $prod_nombre = utf8_encode($valor["prod_nombre"]);
	  $prod_id = utf8_encode($valor["prod_id"]);
	  $temp_montounit = utf8_encode($valor["temp_montounit"]);
	  $temp_cantidad = utf8_encode($valor["temp_cantidad"]);
	  $temp_montototal = utf8_encode($valor["temp_montototal"]);
	  $temp_codigo = utf8_encode($valor["temp_codigo"]);

	  $montototal = $montototal + $temp_montototal;


	  $resultado = $conexion->doInsert("
		transaccion_detalle
		(trans_id, prod_id, transdet_montounit, transdet_cantidad, transdet_montototal, transdet_activo)
		",
		"'$trans_id', '$prod_id', '$temp_montounit','$temp_cantidad','$temp_montototal','1'");

	}

	$resultado = $conexion->doUpdate("transaccion", "trans_monto = '$montototal' ", "trans_id='$trans_id'");

	if ($tipocateg_id=="2"){
		$montototal = $montototal / 2;
	}

	

	if ($resultado){

		$objResponse->addAssign("monto", "innerHTML", $montototal);
		$objResponse->addAssign("amount", "value", $montototal);
		$objResponse->addAssign("tid", "value", $trans_id);

		//$texresp ="Agregado Acceso Correctamente";
		//$objResponse->addAlert($texresp);
		$objResponse->addScript("seleccionar(3)");
	
			
		return $objResponse;
	}

	if (!$resultado){
		$texresp ="Error intentando guardar los datos del usuario, intente nuevamente";
		$objResponse->addAlert($texresp);
		//$objResponse->addScript("window.location.reload();");
	}

	return $objResponse;
}

$xajax->processRequests();
?>