<?php
include_once 'configinc_in.php';
include_once 'mysqlclass.php';
include_once 'xajax_0.2.4/xajax.inc.php';
include_once 'funciones.php';
include_once 'phpmailer/libemail.php';
$xajax = new xajax('ajx_fnci.php');
$xajax->registerFunction('registrarusuario');
$xajax->registerFunction('ingresarusuario');
$xajax->registerFunction('cambiarclave');
$xajax->registerFunction('agregarfavoritoley');
$xajax->registerFunction('eliminarusuariofavoritoley');
$xajax->registerFunction('agregarnotaley');
$xajax->registerFunction('eliminarusuariocomentarioley');
$xajax->registerFunction('cargartemas');

session_start();


function cargartemas($seccion_id=null){

	$objResponse = new xajaxResponse();
	
	$conexion = new ConexionBd();	
	
  $arrresultado = $conexion->doSelect("tema_id, tema_nombre",
    "tema ",
    "tema_activo = '1' and seccion_id = '$seccion_id'", null, "tema_nombre asc");

  $optiontema = "<option value=''>-- Temas --</option>";
  foreach($arrresultado as $i=>$valor){

      $tema_id = utf8_encode($valor["tema_id"]);  
      $tema_nombre = utf8_encode($valor["tema_nombre"]);  

      $optiontema .= "<option value='$tema_id'>$tema_nombre</option>";
      
  }

	$objResponse->addAssign("tid", "innerHTML", $optiontema);

	return $objResponse;
}

function eliminarusuariocomentarioley($comentario_id=null){

	$objResponse = new xajaxResponse();
  
  session_start();
  $iniuser = $_SESSION["iniuser"];

	$conexion = new ConexionBd();

	$resultado = $conexion->doUpdate("comentario", "comentario_activo = '0', comentario_eliminado = '1' ", "comentario_id='$comentario_id' and usuario_id = '$iniuser'");
	if ($resultado){
		$texresp ="Eliminada la Nota Correctamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");
	}else{
		$texresp ="Error eliminando, por favor verifique o reporte el mismo al ".$_SESSION["correoreportar"]."";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");

	}

	return $objResponse;
}


function agregarnotaley($ley_id=null, $nota=null, $seccion_id=null){

	$objResponse = new xajaxResponse();
  
  $nota = utf8_decode($nota);	

	$fechaactual = formatoFechaHoraBd();

	session_start();
  $iniuser = $_SESSION["iniuser"];

	$conexion = new ConexionBd();

	 $resultado = $conexion->doInsert("
    comentario (
		  comentario_nombre, comentario_descrip, comentario_img, seccion_id,
      ley_id, articulo_id,  tipocomentario_id,
      comentario_activo, comentario_eliminado, usuario_id, usuario_idreg, comentario_fechareg          
    )
	",
	  "'$nota', '$nota', '', '$seccion_id',
    '$ley_id', '0', '1', 
    '1', '0', '$iniuser', '$iniuser', '$fechaactual'");

  if ($resultado){
  
    $textoinfo ="
      <div class='alert alert-success'>
          <a href='panel-notas'>
            <i class='fa fa-check'></i> Agregado correctamente a sus Notas
          </a>
      </div>
    ";

    $objResponse->addAlert("Agregado correctamente a sus Notas");
    $objResponse->addScript("window.location.reload();");
  
    //$objResponse->addAssign("leynotaagregada", "innerHTML", $textoinfo);
  }else{
		$texresp ="Error agregando a notas; por favor intente de nuevo o repórtelo a: info@fotriem.edu.py";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload();");
	}

	return $objResponse;
}

function eliminarusuariofavoritoley($usuarioleyfav_id=null){

	$objResponse = new xajaxResponse();
  
  session_start();
  $iniuser = $_SESSION["iniuser"];

	$conexion = new ConexionBd();

	$resultado = $conexion->doUpdate("usuario_leyfavorito", "usuarioleyfav_activo = '0', usuarioleyfav_eliminado = '1' ", "usuarioleyfav_id='$usuarioleyfav_id' and usuario_id = '$iniuser'");
	if ($resultado){
		$texresp ="Eliminado la Referencia de Tus Favoritos Correctamente";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");
	}else{
		$texresp ="Error eliminando la referencia de tus favoritos, por favor verifique o reporte el mismo al ".$_SESSION["correoreportar"]."";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload()");

	}

	return $objResponse;
}


function agregarfavoritoley($ley_id=null){

	$objResponse = new xajaxResponse();

	$fechaactual = formatoFechaHoraBd();

	session_start();
  $iniuser = $_SESSION["iniuser"];

	$conexion = new ConexionBd();

	$resultado = $conexion->doInsert("
	usuario_leyfavorito
		(ley_id, usuario_id, usuarioleyfav_fechareg, usuarioleyfav_activo, usuarioleyfav_eliminado) 
	",
	"'$ley_id', '$iniuser', '$fechaactual','1', '0'");	

  if ($resultado){
  
    $textoinfo ="
      <div class='alert alert-success'>
          <a href='panel-favoritos'>
            <i class='fa fa-check'></i> Agregado correctamente a favoritos
          </a>
      </div>
    ";
  
  	$objResponse->addAlert("Agregado correctamente a favoritos");
  	$objResponse->addScript("window.location = 'panel-favoritos'");
    //$objResponse->addAssign("leyfavoritoinfo", "innerHTML", $textoinfo);
  }else{
		$texresp ="Error agregando a favorito; por favor intente de nuevo o repórtelo a: info@sistemasgo.com";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload();");
	}

	return $objResponse;
}



function cambiarclave($clave=null){
	$objResponse = new xajaxResponse();

	$conexion = new ConexionBd();
  
  session_start();	
	$iniuser = $_SESSION["iniuser"];
  
  $resultado = $conexion->doUpdate("usuario", "
		usuario_clave ='$clave'
		",
		"usuario_id='$iniuser'");      
    
	$texresp ="Guardado la clave Correctamente";
	$objResponse->addAlert($texresp);
	
	$objResponse->addScript("window.location = 'panel';");	

	return $objResponse;
}

function ingresarusuario($usuario=null, $password=null, $ubic=null){
	$objResponse = new xajaxResponse();

	$conexion = new ConexionBd();
	$arrresultado = $conexion->doSelect("
		usuario_id,  usuario_clave,
			usuario_activo, usuario_eliminado, perfil_id, 
			usuario_nombre, usuario_email
		",
			"usuario				
			",
			"usuario_eliminado ='0' and usuario_email = '$usuario' and usuario_clave = '$password'");

	if (count($arrresultado)>0){
		foreach($arrresultado as $i=>$valor){

			$usuario_id = utf8_encode($valor["usuario_id"]);			
			$perfil_id = utf8_encode($valor["perfil_id"]);
			$agenc_id = utf8_encode($valor["agenc_id"]);
			$usuario_nombre = utf8_encode($valor["usuario_nombre"]);
			$usuario_email = utf8_encode($valor["usuario_email"]);
			$usuario_activo = utf8_encode($valor["usuario_activo"]);

			if ($usuario_activo=="1"){
				session_start();
				$_SESSION["iniuser"] = $usuario_id;
				$_SESSION["login"] = $usuario_nombre;
				$_SESSION["perfil"] = $perfil_id;	
				$_SESSION["email"] = $usuario_email;
				$_SESSION['historialuniq'] = "";			


				$objResponse->addScript("window.location = 'panel';");	
			}else{
				$texresp ="Usuario Inactivo, por favor enviar un email a ".$_SESSION["correoreportar"]." para solicitar la activacion";
				$objResponse->addAlert($texresp);
			}

			

		}
	}else{
		$texresp ="Error, de ingreso al sistema, verifique su usuario y clave.";
		$objResponse->addAlert($texresp);
	}

	return $objResponse;
}


function registrarusuario($usuario_nombre=null, $usuario_email=null,  $usuario_clave=null, $phone=null, $ubic=null){

	$objResponse = new xajaxResponse();

	$usuario_nombre = utf8_decode($usuario_nombre);	
	$usuario_email = utf8_decode($usuario_email);
	$usuario_clave = utf8_decode($usuario_clave);	
	$phone = utf8_decode($phone);	

	$fechaactual = formatoFechaHoraBd();

	session_start();	

	$conexion = new ConexionBd();

	$arrresultado = $conexion->doSelect("usuario_email, usuario_telf","usuario",
			"usuario_eliminado ='0' and (usuario_email = '$usuario_email') ");

	if (count($arrresultado)>0){
		foreach($arrresultado as $i=>$valor){

			$usuario_telf = utf8_encode($valor["usuario_telf"]);						
			$usuario_emailencontrado = utf8_encode($valor["usuario_email"]);

			if ($usuario_emailencontrado==$usuario_email){
				$texresp ="Error: El email ingresado ya se encuentra registrado en el sistema, por favor verificar que ya no te cuente con una cuenta abierta";	
			}

			$objResponse->addAlert($texresp);

			return $objResponse;


		}
	}

	$codigocliente = generarId();

	$resultado = $conexion->doInsert("
	usuario
		(usuario_codigo, usuario_email, usuario_clave, 
    usuario_nombre, usuario_apellido, usuario_telf, usuario_fechareg, 
    usuario_activo, usuario_eliminado, usuario_img, 
    perfil_id, plan_id, usuario_fechainiplan, usuario_fechafinplan) 
	",
	"'$codigocliente', '$usuario_email', '$usuario_clave', 
  '$usuario_nombre', '', '$phone', '$fechaactual', 
  '1', '0', '1.png', 
  '2', '0', '$fechaactual', null");

	$arrresultado2 = $conexion->doSelect("max(usuario_id) as usuario_id","usuario");
	if (count($arrresultado2)>0){
		foreach($arrresultado2 as $i=>$valor){
			$usuario_id = strtoupper($valor["usuario_id"]);
		}
	}	

	$libemail = new LibEmail();

	$conexion = new ConexionBd();
	$env = parse_ini_file(__DIR__ . '/../.env');

	$texto = "
	Saludos Sr(a). ".$usuario_nombre.", gracias por registrarse en ".$env['SITE_URL']." donde podras observar todas las leyes vigentes de Paraguay y mantenerte al tanto de las actualizaciones
		<br><br>

		<a href='".$env['SITE_URL']."' target='_blank'>
			".$env['SITE_URL']."
		</a>

	
	";
	$asunto = "Confirmacion Registro - Juridica Tributaria";

  $resultado = $libemail->enviarcorreo($usuario_email, $asunto, $texto);		     
  //$resultado = $libemail->enviarcorreo("meneses.rigoberto@gmail.com", $asunto, $texto);
  $resultado = $libemail->enviarcorreo("info@fotriem.edu.py", $asunto, $texto);


	session_start();
	$_SESSION["iniuser"] = $usuario_id;
	$_SESSION["login"] = $usuario_nombre;
	$_SESSION["perfil"] = 2;	
	$_SESSION["email"] = $usuario_email;	
	$_SESSION['historialuniq'] = "";

	

	if ($ubic=="2"){
		$texresp ="Registrado Correctamente, procede a adquirir la membresia";	
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'membresias';");
	}else{
		$texresp ="Registrado Correctamente";	
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location = 'panel';");	
	}

	

	return $objResponse;

	if (!$resultado){
		$texresp ="Error registrando el usuario; por favor intente de nuevo o repórtelo a: info@fotriem.edu.py";
		$objResponse->addAlert($texresp);
		$objResponse->addScript("window.location.reload();");
	}

	return $objResponse;
}


$xajax->processRequests();
?>