﻿<?php
session_start();
define ("EXP",6000000);
setlocale (LC_CTYPE, 'es_ES');
ini_set ("display_errors","0");
ini_set ("memory_limit","-1");

include_once 'lib/xajax_0.2.4/xajax.inc.php';
include_once 'lib/mysqlclass.php';
include_once 'lib/funciones.php';
include_once 'lib/base.php';

$xajax = new xajax('lib/ajx_fnci.php');
$xajax->registerFunction('eliminarusuariocomentarioley');
session_start();
$xajax->printJavascript('lib/');


$base = base();

session_start();
$iniuser = $_SESSION['iniuser'];
$login = $_SESSION['login'];
$perfil = $_SESSION['perfil'];

if ($iniuser==""){
  echo "
<script language='JavaScript'>window.location = 'iniciar-sesion'; </script>";
  exit();
}

$conexion = new ConexionBd();

$arrresultado = $conexion->doSelect("
  comentario_id, comentario_nombre, comentario_descrip, comentario_img,
  comentario.ley_id, comentario.articulo_id,  comentario.tipocomentario_id,
  comentario_activo, comentario_eliminado, comentario.usuario_id, comentario.usuario_idreg,
  DATE_FORMAT(comentario_fechareg,'%d/%m/%Y %H:%i:%s') as comentario_fechareg,
  ley_nombre, articulo_nombre, tipocomentario_nombre,
  usuario_nombre, usuario_apellido, comentario.seccion_id, seccion_nombre, ley_url
  ",
	  "comentario
        inner join usuario on comentario.usuario_id = usuario.usuario_id
        left join seccion on comentario.seccion_id = seccion.seccion_id
        left join ley on comentario.ley_id = ley.ley_id
        left join articulo on comentario.articulo_id = articulo.articulo_id
        left join tipocomentario on comentario.tipocomentario_id = tipocomentario.tipocomentario_id

    ",
	  "comentario_activo= '1' and usuario.usuario_id = '$iniuser'", null, "comentario_id desc");
  foreach($arrresultado as $i=>$valor){

    $lista_comentario_id = utf8_encode($valor["comentario_id"]);
    $lista_comentario_nombre = utf8_encode($valor["comentario_nombre"]);
    $lista_comentario_descrip = utf8_encode($valor["comentario_descrip"]);
    $lista_comentario_img = utf8_encode($valor["comentario_img"]);
    $lista_t_ley_id = utf8_encode($valor["ley_id"]);
    $lista_t_articulo_id = utf8_encode($valor["articulo_id"]);
    $lista_t_tipocomentario_id = utf8_encode($valor["tipocomentario_id"]);
    $lista_seccion_id = utf8_encode($valor["seccion_id"]);
    $lista_comentario_activo = utf8_encode($valor["comentario_activo"]);
    $lista_t_usuario_id = utf8_encode($valor["usuario_id"]);
    $lista_comentario_fechareg = utf8_encode($valor["comentario_fechareg"]);
    $lista_ley_nombre = utf8_encode($valor["ley_nombre"]);
    $lista_ley_url = utf8_encode($valor["ley_url"]);
    $lista_articulo_nombre = utf8_encode($valor["articulo_nombre"]);
    $lista_tipocomentario_nombre = utf8_encode($valor["tipocomentario_nombre"]);
    $lista_usuario_nombre = utf8_encode($valor["usuario_nombre"]);
    $lista_usuario_apellido = utf8_encode($valor["usuario_apellido"]);
    $lista_seccion_nombre = utf8_encode($valor["seccion_nombre"]);

    $accioneliminar = "<img onclick='eliminarusuariocomentarioley(\"".$lista_comentario_id."\",0)' title='Eliminar?' style='cursor:pointer' src='images/delete.png'>";

    $lista_ley_nombre  ="<a href='ref/$lista_t_ley_id/$lista_ley_url' style='text-decoration: underline'>$lista_ley_nombre (Ver)</a>";

    $listacomentarios .="
        <tr>
            <td>$lista_comentario_nombre</td>
            <td>$lista_ley_nombre</td>
            <td>$lista_seccion_nombre</td>
            <td>$lista_comentario_fechareg</td>
            <td>$accioneliminar</td>
        </tr>
        ";

}

if ($listacomentarios==""){
    $listacomentarios .="
        <tr>
            <td colspan='5'>No tienes notas agregadas</td>         
        </tr>
    ";
}

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php echo $base; ?>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Mis Notas - Jurídica Tributaria</title>

    <!-- Css Files -->
    <link href="css/bootstrap.css" rel="stylesheet">
    <link href="css/font-awesome.css" rel="stylesheet">
    <link href="css/flaticon.css" rel="stylesheet">
    <link href="css/slick-slider.css" rel="stylesheet">
    <link href="css/fancybox.css" rel="stylesheet">
    <link href="style.css" rel="stylesheet">
    <link href="css/color.css" rel="stylesheet">
    <link href="css/responsive.css" rel="stylesheet">
    <link href="images/logicon.png" rel="icon">


    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>

    <!--// Main Wrapper \\-->
    <div class="ereaders-main-wrapper">

        <?php include_once "header.php"; ?>

        <!--// Main Content \\-->
        <div class="ereaders-main-content">
            <!--// Main Section \\-->
            <div class="ereaders-main-section ereaders-author-detailfull">
                <div class="container">
                    <div class="row">
                        <aside class="col-md-4">
                            <?php include_once "panel-sidebar.php"; ?>
                        </aside>
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col-md-6" style="margin-top: 15px">
                                    <h3><i class="fa fa-edit"></i> Mis Notas</h3>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12" style="margin-top: 15px">
                                    <div class="table-responsive">
                                        <table class="table">
                                            <thead>
                                                <tr>
                                                    <th>Mi Nota</th>
                                                    <th>Referencia</th>
                                                    <th>Seccion</th>
                                                    <th>Fecha Nota</th>
                                                    <th>Acciones</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php echo $listacomentarios; ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <!--// Main Section \\-->

        </div>
        <!--// Main Content \\-->
        <?php include_once "footer.php"; ?>

        <div class="clearfix"></div>

    </div>
    <!--// Main Wrapper \\-->
    <!-- jQuery (necessary for JavaScript plugins) -->
    <script type="text/javascript" src="script/jquery.js"></script>
    <script type="text/javascript" src="script/jquery-ui.js"></script>
    <script type="text/javascript" src="script/bootstrap.min.js"></script>
    <script type="text/javascript" src="script/slick.slider.min.js"></script>
    <script type="text/javascript" src="script/fancybox.pack.js"></script>
    <script type="text/javascript" src="script/isotope.min.js"></script>
    <script type="text/javascript" src="script/progressbar.js"></script>
    <script type="text/javascript" src="script/jquery.countdown.min.js"></script>
    <script type="text/javascript" src="script/circle-chart.js"></script>
    <script type="text/javascript" src="script/numscroller.js"></script>
    <script type="text/javascript" src="script/functions.js"></script>

</body>
</html>